//**************************************************************************
//**
//** kaiser_21-map01.acs : poedDoom
//**$Revise Date: 03/08/08
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m01"
#include "cif3_main.c"

/*NAME YOUR CHARACTER STUFF*/
#define HUDBACK		1000000
#define NUMCHARS	63
int NameChar[NUMCHARS] =
{
	'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W',
	'X','Y','Z','a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t',
	'u','v','w','x','y','z','0','1','2','3','4','5','6','7','8','9', '-'
};
str NameCharFont[128] =
{
	" "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," "," ",
	" "," "," "," "," "," "," "," "," "," "," "," ","TNT1A0",
	"SFONT!"," "," "," "," "," ","SFONT'","SFONT(","SFONT)"," "," ",
	"SFONTCM","SFONTDH","SFONTPD"," ","SFONT0","SFONT1","SFONT2","SFONT3","SFONT4","SFONT5","SFONT6",
	"SFONT7","SFONT8","SFONT9","SFONTCO"," "," "," "," ","SFONTQM"," ",
	"SFONTA","SFONTB","SFONTC","SFONTD","SFONTE","SFONTF","SFONTG","SFONTH","SFONTI","SFONTJ","SFONTK",
	"SFONTL","SFONTM","SFONTN","SFONTO","SFONTP","SFONTQ","SFONTR","SFONTS","SFONTT","SFONTU","SFONTV",
	"SFONTW","SFONTX","SFONTY","SFONTZ"," "," "," "," "," "," ","SMFONTA","SMFONTB","SMFONTC",
	"SMFONTD","SMFONTE","SMFONTF","SMFONTG","SMFONTH","SMFONTI","SMFONTJ","SMFONTK","SMFONTL","SMFONTM",
	"SMFONTN","SMFONTO","SMFONTP","SMFONTQ","SMFONTR","SMFONTS","SMFONTT","SMFONTU","SMFONTV","SMFONTW",
	"SMFONTX","SMFONTY","SMFONTZ"," "," "," "," "," "
	
};
int cantouchthis = 0;
int cursor = 0;
int charCursor = 0;
/*END*/

function void DrawNameCharScreen(void)
{
	int i = 0;
	int x = 128.0;

	SetHudSize(640, 480, 0);
	SetFont("CONFONT");
	hudmessage(s:"Name Yourself\n\nLeft Click = Next Slot\nRight Click = Previous Slot\nUse = Next Character\nJump = Done\n\nCharacter after 9 will reset all fonts after cursor.";
	HUDMSG_PLAIN, HUDBACK, CR_GREEN, 256.0, 32.0, 0.1);

	SetHudSize(320, 240, 0);
	for(i = 0; i < 16; i++)
	{
		if(cursor == i)
		{
			if(timer() & 4)
			{
				x += 8.0;
				continue;
			}
		}

		if(!WorldStrName[i]) SetFont("SFONTDH");
		else SetFont(NameCharFont[WorldStrName[i]]);

		hudmessage(s:"a"; HUDMSG_PLAIN, HUDBACK+123456+i, CR_UNTRANSLATED, x, 128.0, 0.1);
		x += 8.0;
	}
}

script 40 (void)
{
	cursor = (cursor + 1) % 16;
	charCursor = 0;
}

script 41 (void)
{
	cursor = (cursor - 1) % 16;
	charCursor = 0;
}

script 42 (void)
{
	int i = 0;
	if(cantouchthis > 0)
	{
		charCursor = (charCursor + 1) % NUMCHARS;
		if(charCursor == NUMCHARS-1)
		{
			for(i = cursor; i < 16; i++)
				WorldStrName[i] = 0;
		}
		else
			WorldStrName[cursor] = NameChar[charCursor];
	}
}

function bool CheckName(void)
{
	if(WorldStrName[0] == 'T' &&
		WorldStrName[1] == 'o' &&
		WorldStrName[2] == 'r' &&
		WorldStrName[3] == 'm' &&
		WorldStrName[4] == 'e' &&
		WorldStrName[5] == 'n' &&
		WorldStrName[6] == 't' &&
		WorldStrName[7] == 'o' &&
		WorldStrName[8] == 'r' &&
		WorldStrName[9] == '6' &&
		WorldStrName[10] == '6' &&
		WorldStrName[11] == '7')
		return true;

	if(WorldStrName[0] == 'T' &&
		WorldStrName[1] == 'o' &&
		WorldStrName[2] == 'r' &&
		WorldStrName[3] == 'm' &&
		WorldStrName[4] == 'e' &&
		WorldStrName[5] == 'n' &&
		WorldStrName[6] == 't' &&
		WorldStrName[7] == 'o' &&
		WorldStrName[8] == 'r' &&
		WorldStrName[9] == 0)
		return true;

	if(WorldStrName[0] == 'T' &&
		WorldStrName[1] == 'O' &&
		WorldStrName[2] == 'R' &&
		WorldStrName[3] == 'M' &&
		WorldStrName[4] == 'E' &&
		WorldStrName[5] == 'N' &&
		WorldStrName[6] == 'T' &&
		WorldStrName[7] == 'O' &&
		WorldStrName[8] == 'R' &&
		WorldStrName[9] == '6' &&
		WorldStrName[10] == '6' &&
		WorldStrName[11] == '7')
		return true;

	if(WorldStrName[0] == 'T' &&
		WorldStrName[1] == 'O' &&
		WorldStrName[2] == 'R' &&
		WorldStrName[3] == 'M' &&
		WorldStrName[4] == 'E' &&
		WorldStrName[5] == 'N' &&
		WorldStrName[6] == 'T' &&
		WorldStrName[7] == 'O' &&
		WorldStrName[8] == 'R' &&
		WorldStrName[9] == 0)
		return true;

	if(WorldStrName[0] == 't' &&
		WorldStrName[1] == 'o' &&
		WorldStrName[2] == 'r' &&
		WorldStrName[3] == 'm' &&
		WorldStrName[4] == 'e' &&
		WorldStrName[5] == 'n' &&
		WorldStrName[6] == 't' &&
		WorldStrName[7] == 'o' &&
		WorldStrName[8] == 'r' &&
		WorldStrName[9] == '6' &&
		WorldStrName[10] == '6' &&
		WorldStrName[11] == '7')
		return true;

	if(WorldStrName[0] == 't' &&
		WorldStrName[1] == 'o' &&
		WorldStrName[2] == 'r' &&
		WorldStrName[3] == 'm' &&
		WorldStrName[4] == 'e' &&
		WorldStrName[5] == 'n' &&
		WorldStrName[6] == 't' &&
		WorldStrName[7] == 'o' &&
		WorldStrName[8] == 'r' &&
		WorldStrName[9] == 0)
		return true;

	if(WorldStrName[0] == 'G' &&
		WorldStrName[1] == 'r' &&
		WorldStrName[2] == 'a' &&
		WorldStrName[3] == 'f' &&
		WorldStrName[4] == 0)
		return true;

	if(WorldStrName[0] == 'g' &&
		WorldStrName[1] == 'r' &&
		WorldStrName[2] == 'a' &&
		WorldStrName[3] == 'f' &&
		WorldStrName[4] == 0)
		return true;

	if(WorldStrName[0] == 'G' &&
		WorldStrName[1] == 'R' &&
		WorldStrName[2] == 'A' &&
		WorldStrName[3] == 'F' &&
		WorldStrName[4] == 0)
		return true;

	if(WorldStrName[0] == 'G' &&
		WorldStrName[1] == 'r' &&
		WorldStrName[2] == 'a' &&
		WorldStrName[3] == 'f' &&
		WorldStrName[4] == 'Z' &&
		WorldStrName[5] == 'a' &&
		WorldStrName[6] == 'h' &&
		WorldStrName[7] == 'l')
		return true;

	if(WorldStrName[0] == 'g' &&
		WorldStrName[1] == 'r' &&
		WorldStrName[2] == 'a' &&
		WorldStrName[3] == 'f' &&
		WorldStrName[4] == 'z' &&
		WorldStrName[5] == 'a' &&
		WorldStrName[6] == 'h' &&
		WorldStrName[7] == 'l')
		return true;

	if(WorldStrName[0] == 'G' &&
		WorldStrName[1] == 'R' &&
		WorldStrName[2] == 'A' &&
		WorldStrName[3] == 'F' &&
		WorldStrName[4] == 'Z' &&
		WorldStrName[5] == 'A' &&
		WorldStrName[6] == 'H' &&
		WorldStrName[7] == 'L')
		return true;

	if(WorldStrName[0] == 'G' &&
		WorldStrName[1] == 'r' &&
		WorldStrName[2] == 'a' &&
		WorldStrName[3] == 'f' &&
		WorldStrName[4] == 'z' &&
		WorldStrName[5] == 'a' &&
		WorldStrName[6] == 'h' &&
		WorldStrName[7] == 'l')
		return true;

	return false;
}

script LVLMAIN OPEN
{
	int angbits;
	int ang;
	int i;
	static str scrSplsh[5] = { "SCR_0003", "SCR_0004", "SCR_0005", "SCR_0007", "SCR_0008" };
	static int delayTic[5] = { 4, 4, 4, 16, 2 };

	LockPlayer();
	ChangeCamera(55, 0, 0);
	delay(1);
	for(i = 0; i < 5; i++)
	{
		setlinetexture(1, SIDE_FRONT, TEXTURE_MIDDLE, scrSplsh[i]);
		delay(delayTic[i]*35);
	}
	fadeto (0, 0, 0, 1.0, 5.0);
	delay(5*35);
	ChangeCamera(1, 0, 0);
	fadeto(0, 0, 0, 0.0, 5.0);
	delay(5*35);

	ang = GetActorAngle(1);
	angbits = (GetActorAngle(1) - GetActorAngle(2)) / 128;
	for(i = 0; i < 45; i++, ang += angbits)
	{
		SetActorAngle(1, ang);
		delay(1);
	}

	delay(2*35);
	A_FaceTarget(3, 1);
	delay(35);

	doStory(459, 6, 24);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(4, 0, 0);
	Light_Fade(1, 255, 1*40);
	doStory(465, 1, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(5, 0, 0);
	Light_Fade(2, 255, 1*40);
	doStory(466, 1, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(1, 0, 0);
	doStory(467, 1, 1);
	scriptwait(501);

	/*STUFF*/
	GiveInventory("NameMaker", 1);
	ChangeCamera(1, 0, 0);
	cantouchthis = 1;

	while(plyrZ == GetActorFloorZ(0))
	{
		DrawNameCharScreen();
		delay(1);
	}

	if(CheckName())	//So I am a asshole. Fuck you.
	{
		WorldStrName[0] = 'C';
		WorldStrName[1] = 'a';
		WorldStrName[2] = 'k';
		WorldStrName[3] = 'e';
		WorldStrName[4] = 'T';
		WorldStrName[5] = 'o';
		WorldStrName[6] = 'w';
		WorldStrName[7] = 'n';
		WorldStrName[8] = 0;
		WorldStrName[9] = 0;
		WorldStrName[10] = 0;
		WorldStrName[11] = 0;
		WorldStrName[12] = 0;
		WorldStrName[13] = 0;
		WorldStrName[14] = 0;
		WorldStrName[15] = 0;
	}

	cantouchthis = 0;
	TakeInventory("NameMaker", 1);
	ChangeCamera(1, 0, 0);
	doStory(468, 8, 1);
	scriptwait(501);
	ACS_Execute(250, 0, 2, 0, 0);
}
