//**************************************************************************
//**
//** kaiser_21-map10.acs : poedDoom
//**$Revise Date: 06/10/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m10"
#include "cif3_main.c"
int mapvar1 = 0;
int mapvar5 = 0;

script 1 (void) {
	int i = 0;
	int j;
	updateObjectives(187, "O_6", 1);
	while(i == 0) {
		if(CheckInventory("SpecialItem")) {
			canUseInv = 1;
			SetMusic("I_TOM06");
			GiveInventory("RaiseAlarm", 1);
			ACS_Execute(253, 0, 0, 0, 0);
			ACS_Execute(2, 0, 0, 0, 0);
			while(j != 5) {
				while(thingcount(0, 1) > 1)
				delay(1);
				Thing_Spawn(2, 193,0, 1);
				Thing_Spawn(3, 194,0, 1);
				j++;
				delay(1);
			}
			i++;
		}
		delay(1);
	}
}

script 2 (void) {
	while(thingcount(0, 1) > 0)
	delay(1);
	Floor_LowerToLowest(1, 16);
	ACS_Execute(3, 0, 1, 0, 0);
}

script 3 (int arg0) {
	int i = 0.9;
	int j = 0;
	SetActorProperty(arg0,APROP_RenderStyle,64);
	for(j = 1; j < 10; j++) {
		SetActorProperty(arg0,APROP_Alpha, i);
		i -= 0.1;
		delay(10);
	}
	Thing_Remove(arg0);
}

script 4 OPEN {
	while(thingcount(0, 5) > 0)
	delay(1);
	Thing_Spawn(6, 193,0, 0);
}

script 5 OPEN {
	int i = 300;
	while(1) {
		Light_ChangeToValue(i, 192);
		i++;
		Light_ChangeToValue(i, 144);
		delay(5);
		Light_ChangeToValue(i, 192);
		i--;
		Light_ChangeToValue(i, 144);
		delay(5);
	}
}

script 6 (int tag) {
	if(mapvar1 == 1) {
		Teleport(tag);
	}
	else { printbold(s:"Teleporter offline"); }
}

script 7 (void) {
	mapvar1 = 1;
	printbold(s:"Teleporters Online");
	delay(6*35);
	updateObjectives(188, "O_7", 1);
}

script 8 (void) {
	Floor_RaiseByValueTxTy (11, 4, 80);
	setlinetexture(1, 0, TEXTURE_MIDDLE, "-");
	setlinetexture(1, 1, TEXTURE_MIDDLE, "-");
	SetLineBlocking(1, 0);
	Floor_RaiseByTexture(13, 8);
}

script 9 (void) {
	while(!checkInventory("BlueCard"))
		delay(1);
	updateObjectives(190, "O_17", 1);
	delay(1);
	while(!checkInventory("RedCard"))
		delay(1);
	updateObjectives(189, "O_16", 1);
}

//give weapons back
script LVLLOAD (void) {
	int i;

	if(weaponNum == 0) {
		weaponNum = 47;
		GiveInventory("Cell", 120);
		GiveInventory("ClipBox", 32);
		GiveInventory("Shell", 80);
		GiveInventory("Coin", 500);
		GiveInventory("CleaverSpecial", 1);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN {
	int i;

	for(i = 0; i < 10; i++) {
		TakeInventory(Xweapons[i], 1);
	}
	Sector_SetFloorScale (17, 4, 4, 4, 4);
	Sector_SetCeilingScale (17, 4, 4, 4, 4);
	Sector_SetCeilingScale (18, 4, 4, 4, 4);

	delay (1);
	canUseInv = 0;
	doStory(323, 3, 1);
	scriptwait(501);
}