//**************************************************************************
//**
//** kaiser_21-map11.acs : poedDoom
//**$Revise Date: 06/10/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m11"
#include "cif3_main.c"
int mapvar1 = 0;
int mapvar2 = 0;
int clock = 0;
#define BOOMTIMER 100
#define BTIMER 100

script 1 (void)
{
	while(1)
	{
	if(CheckInventory("SpecialItem"))
	{
			Thing_Activate(1);
			Thing_Destroy(1);
			GiveInventory("OpenDoor224", 1);
			ACS_Execute(199, 0, 2, 192, 0);
			SetMusic("I_TOM16");
			updateObjectives(191, "", 1);
			ACS_Terminate(1, 0);
	}
		delay(1);
	}
}

script 2 ENTER
{
	while(thingcount(0, 10) > 0)
		delay(1);
	Floor_LowerToLowest(4, 128);
	while(thingcount(0, 13) > 0)
		delay(1);
	printbold(s:"A switch has been revealed..");
	Floor_LowerByValue(7, 4, 32);
	while(thingcount(0, 18) > 0)
		delay(1);
	ACS_Execute(197, 0, 14, 191, 194);
	while(thingcount(0, 29) > 0)
		delay(1);
	GiveInventory("SpecialItem2", 1);
}

script 3 (void)
{
	Floor_LowerByValue(2, 4, 128);
	Floor_LowerByValue(5, 4, 128);
	tagwait(2);
	tagwait(5);
	mapvar1 = 1;
}

script 4 (int tag, int speed, int wait)
{
	if(mapvar1 == 1)
	{
		Plat_UpWaitDownStay(tag, speed, wait);
		tagwait(tag);
	}
}

script 5 (void)
{
	int i;
	SetLineBlocking(1, BLOCK_CREATURES);
	SetLineBlocking(2, BLOCK_EVERYTHING);
	ChangeCamera(25, 0, 0);
	doStory(194, 5, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(27, 0, 0);
	Thing_Activate(28);
	Thing_Activate(26);
	Thing_Hate(26, 28, 2);
	while(thingcount(0, 28) > 0)
		delay(1);
	printbold(s:"<Everyone> LOlololololOlololol");
	delay(2*35);
	ChangeCamera(31, 1, 1);
	Floor_LowerToLowest(13, 128);
	printbold(s:"<Vader> Surprise faggots!");
	Thing_Hate(26, 29, 2);
	while(thingcount(0, 26) > 0)
		delay(1);
	printbold(s:"<Vader> Pwned");
	delay(1*35);
	UnlockPlayer();
	ChangeCamera(0, 1, 0);
	SetLineBlocking(1, BLOCK_NOTHING);
	SetLineBlocking(2, BLOCK_NOTHING);
	while(1)
	{
	if(CheckInventory("SpecialItem2"))
	{
			Thing_Destroy(29);
			GiveInventory("OpenDoor222", 1);
			updateObjectives(192, "", 1);
			ACS_Terminate(5, 0);
	}
		delay(1);
	}
}

script 7 (void)
{
	int i = 227;
	int j = 8;
	mapvar2++;
	if(mapvar2 == 2)
	{
		while(i != 233)
		{
			Floor_LowerByValue(i, 8, j);
			i++;
			j += 8;
			delay(1);
		}
		delay(2*35);
		Floor_LowerToLowest(233, 16);
	}
}

script 8 (void)
{
	int i;
	Thing_SpawnNoFog(30, 185, 0);
	Thing_SpawnNoFog(32, 184, 0);
	setmusic("D_ATTACK");
	Door_Close(222, 256);
	for(i = 0; i < 300; i++)
	{
		Sector_SetColor (i, 255, 0, 0, 0);
	}
	printbold(s:"Bomb has been set! The entire network is about to blow up! Get out now!");
	delay(1*35);
	ACS_Execute(9, 0, 0, 0, 0);
}

script 9 (void)
{
	SetHudSize(800, 600, 0);
	while(clock != BOOMTIMER)
	{
		drawBombTimer(clock);
		clock++;
		delay(1);
	}
	ACS_Execute(10, 0, 0, 0, 0);
	while(clock != 0)
	{
		SetFont("CONFONT");
		hudmessage(s:"Time Left Until Detonation"; HUDMSG_PLAIN, 0, CR_GOLD, 410.0, 40.0, 0.1);
		drawBombTimer(clock);
		if(clock <= 10)
		{
			delay(5);	//make it flash when the timer is low
		}
		else { delay(1); }
	}
	DamageThing (0);
}

script 10 (void)
{
	while(1)
	{
		clock--;
		delay(1*50);
	}
}

function void drawBombTimer(int time)
{
	int x = 20.0;
	int j = 4.0;
	SetFont("ST_TIME");
	hudmessage(s:meterList[time]; HUDMSG_PLAIN, BTIMER, CR_UNTRANSLATED, x + (j * time), 50.0, 0.1);
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("RocketAmmo", 20);
		GiveInventory("Cell", 180);
		GiveInventory("ClipBox", 200);
		GiveInventory("Shell", 40);
		GiveInventory("Coin", 600);
		GiveInventory("CleaverSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
	updateObjectives(193, "O_1", 1);
}