//**************************************************************************
//**
//** kaiser_21-map14.acs : poedDoom
//**$Revise Date: 11/18/05
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m14"
#include "cif3_main.c"

int cameraStory_1[4] = {8, 9, 9, 8 };

script 1 (void)
{
	if(thingcount(0, 6) == 0)
	{
		ACS_Execute(2, 0, 0, 0, 0);
	}
	else
	{
		printbold(s:"This door won't budge...");
	}
}

script 2 (void)
{
	doStory(11, 4, 2*35);
	ACS_Execute(6, 0, 0, 0, 0);
	setmusic("");
	delay(1*35);
	Door_Open(777, 16);
	scriptwait(501);
	setmusic("D_ADMIN");
	Thing_Activate(7);
	ACS_Execute(3, 0, 0, 0, 0);
	delay(4*35);
	Thing_SpawnFacing(10, 209, 0, 7);
	Thing_SpawnFacing(11, 209, 0, 7);
}

script 3 (void)
{
	while(thingcount(0, 7) > 0)
		delay(1);
	printbold(s:"<You> Fucking admins..");
	setmusic("D_M14");
	Floor_LowerToLowest(333, 10);
}

script 4 ENTER
{
	while(1)
	{
		if(CheckInventory("SpecialItem"))
		{
			Thing_Destroy(12);
			Spawn("Jojo", getActorX(12), getActorY(12), getActorZ(12), 0, 0);
			break;
		}
		delay(1);
	}
}

script 5 ENTER
{
	doStory(7, 4, 6*35);
	fadeto (0, 0, 0, 1.0, 0.0);
	delay(1*35);
	fadeto (0, 0, 0, 0.0, 6.0);
	scriptwait(501);
	updateObjectives(1, "", 1);
}

script 6 (void)
{
	while(numStory != 0)
	{
		ChangeCamera(cameraStory_1[cameraSequence], 1, 1);
		delay(1);
	}
}

//give weapons back
script 253 (void)
{
	int i;
	int x = -1384, y = 1400;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("CleaverSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			Spawn(Xweapons[i], x * FRACUNITS, y * FRACUNITS, 48 * FRACUNITS, 0, 0);
			x += 24;
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
	clearinventory();
}