//**************************************************************************
//**
//** kaiser_21-map21.acs : poedDoom
//**$Revise Date: 04/22/06	#REJECT #2 ROFLZ
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m21"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_triphon.c"

bool varvar = false;

script 1 (void)
{
	while(1)
	{
		if(startCheck == true)
		{
			ACS_Execute(903, 0, 0, 0, 0);
			break;
		}
		delay(1);
	}
}

script 2 (void)
{
	int x, y, z, a;
	LockPlayer();
	Thing_Remove(214);
	ChangeCamera(3, 0, 0);
	SetMusic("");
	delay(2*35);
	ChangeCamera(4, 0, 0);
	doStory(210, 3, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(5, 0, 0);
	delay(35);
	Thing_Activate(1);
	delay(1);
	Thing_Destroy(1);
	delay(32);
	ChangeCamera(4, 0, 0);
	doStory(213, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(4, 0, 0);
	delay(2*35);
	ChangeCamera(8, 0, 0);
	Thing_SpawnFacing(6, 227, 0, 444);
	SetMusic("D_HURRAY");
	delay(2*35);
	ChangeCamera(7, 0, 0);
	doStory(214, 2, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(7, 0, 0);
	varvar = true;
	doStory(216, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(7, 0, 0);
	delay(2*35);
	Spawn("StompLol", getActorX(444), getActorY(444) + 4*FRACUNITS, 128*FRACUNITS,
		445, getActorAngle(444) / 256);
	ThrustThingZ(445, -96, 0, 0);
	LocalAmbientSound("weapons/powerhit", 127);
	SetMusic("");
	delay(5);
	Thing_Remove(444);
	delay(35);
	doStory(217, 1, 1);scriptwait(501);
	Thing_Remove(445);
	LockPlayer();
	ChangeCamera(4, 0, 0);
	doStory(218, 2, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(4, 0, 0);
	Spawn("TeleportFog", GetActorX(2), GetActorY(2), GetActorZ(2), 0, 0);
	x = GetActorX(2);
	y = GetActorY(2);
	z = GetActorZ(2);
	a = GetActorAngle(2);
	delay(1);
	Thing_Remove(2);
	delay(2*35);
	ChangeCamera(9, 0, 0);
	Thing_Remove(1);
	Spawn("TeleportFog", x, y, z, 0, 0);
	Spawn("TripBoss", x, y, z, 0, a);
	mode = MODE_IDLE;
	delay(2*35);
	doStory(220, 4, 1);scriptwait(501);
	ChangeCamera(9, 0, 0);
	LockPlayer();
	var0 = false;
	mode = MODE_READY;
	doStory(224, 2, 1);scriptwait(501);
	mode = MODE_SPIN;
	var0 = false;
	ball[0] = 0;
	ball[1] = 128*256;
	ballTurn[0] = 0;
	ballTurn[1] = 0;
	ballHeight[0] = 64;
	ballHeight[1] = 64;
	ballOffset[0] = 32;
	ballOffset[1] = 32;
	ballX[0] = 0;
	ballX[1] = 0;
	ballY[0] = 0;
	ballY[1] = 0;
	ballZ[0] = 0;
	ballZ[1] = 0;
	move = 0;
	ACS_Execute(1, 0, 0, 0, 0);
	SetLineBlocking(1, BLOCK_NOTHING);
}

script 3 (void)
{
	if(varvar == true)
		GiveInventory("QuestItem1", 1);
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 511;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 120);
		GiveInventory("RocketAmmo", 100);
		GiveInventory("Shell", 60);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 1000);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
}