//**************************************************************************
//**
//** kaiser_21-map23.acs : poedDoom
//**$Revise Date: 06/08/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m23"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_incubus.c"

script 1 (void) {
	SetMusic("");
	LockPlayer();
	ChangeCamera(16, 0, 0);
	delay(35);
	Teleport(14);
	doStory(233, 4, 1);scriptwait(501);
	ChangeCamera(16, 0, 0);
	doStory(239, 5, 1);scriptwait(501);
	Spawn("TeleportFog", GetActorX(15), GetActorY(15), GetActorZ(15), 0, 0);
	Thing_Remove(15);
	Thing_Activate(6);
	ACS_Execute(2, 0, 0, 0, 0);
}

script 2 (void) {
	while(thingcount(0, masterTid) > 0) {
		delay(1);
	}
	delay(4*35);
	Teleport(14);
	SetMusic("");
	LockPlayer();
	ChangeCamera(18, 0, 0);
	delay(1*35);
	Teleport_NoFog(17);
	delay(35);
	Thing_Activate(5);
	delay(1*35);
	doStory(244, 4, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(20, 0, 0);
	doStory(248, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(21, 0, 0);
	doStory(249, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(20, 0, 0);
	doStory(250, 1, 1);scriptwait(501);
	ACS_Execute(250, 0, 29, 0, 0);

}

script 10 (void) {
}

//give weapons back
script 253 (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 600);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN {
	Sector_SetFloorScale (1, 80, 80, 80, 80);
	Sector_SetFloorScale (2, 128, 128, 128, 128);
	Sector_SetCeilingScale (1, 80, 80, 80, 80);
	Sector_SetCeilingScale (6, 80, 80, 80, 80);
	ACS_Execute(253, 0, 0, 0, 0);
}