//**************************************************************************
//**
//** kaiser_21-map24.acs : poedDoom	REJECTED #3
//**$Revise Date: 07/12/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m24"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_gnewt.c"

int var0 = 0;
int var1 = 0;
int var2 = 0;
int var3 = 0;

script 1 (void) {
	printbold(s:"Gate has been lowered!");
	Floor_LowerToLowest(2, 16);
	delay(5*35);
	updateObjectives(252, "O_20", 1);
}

script 2 (void) {
	var0++;
	printbold(s:"Elevators activated!");
}

script 3 (void) {
	if(var0) {
		Plat_DownWaitUpStay(5, 24, 50);
		tagwait(5);
	}
}

script 4 (void) {
	updateObjectives(253, "O_21", 1);
}

script 5 (void) {
	if(++var1 == 2) {
		printbold(s:"Main Gate has been lowered!");
		Floor_LowerToLowest(11, 8);
	}
}

script 6 (void) {
	if(var2++ == 0) {
		Floor_RaiseToLowestCeiling(12, 64);
		delay(2*35);
		Thing_SpawnFacing(431, 200, 0, 434);
		Thing_SpawnFacing(432, 201, 0, 434);
		Thing_SpawnFacing(433, 202, 0, 434);
		Thing_SpawnFacing(430, 213, 0, 434);
		while(thingCount(0, 434) > 0) 
			delay(1);
		Floor_LowerToLowest(12, 32);
		Thing_SpawnFacing(8, 223, 0, 0);
		var3 = 1;
	}
}

script 7 (void) {
	if(var3 == 1) {
		var3 = 0;
		Thing_SpawnFacing(436, 228, 1, 435);
		while(thingCount(0, 435) > 0) 
			delay(1);
		Floor_LowerToLowest(13, 8);
		Printbold(s:"Station Gates Lowered!");
	}
}

script 8 (int t) {
	SetActorPosition(t, plyrX, plyrY, plyrZ, false);
}

//give weapons back
script 253 (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 1500);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	Sector_SetFloorScale (100, 6, 6, 6, 6);
	updateObjectives(251, "O_19", 1);
	ACS_Execute(253, 0, 0, 0, 0);
}