//**************************************************************************
//**
//** kaiser_21-map25.acs : poedDoom
//**$Revise Date: 07/28/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m25"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_dron2.c"
#include "ai_edward.c"

bool dronIsDead = false;

script 1 (void) {
	while(1) {
		if(playerStomp == true) {
			playerStomp = false;
			ThrustThingZ(0, 64, 0, 0);
			DamageThing(4);
		}
		if(slappedByDron == true) {
			slappedByDron = false;
			ThrustThingZ(0, 64, 0, 0);
			ThrustThing((GetActorAngle(masterTid) >> 8) - 128, 128);	/* / 256 works but >> 8 doesn't.. fuck you*/
			DamageThing(15);
		}
		if(slappedByEdward == true) {
			slappedByEdward = false;
			ThrustThingZ(0, 80, 0, 0);
			ThrustThing((GetActorAngle(masterTid) >> 8) + 128, 192);
			DamageThing(48);
		}
		if(dronIsDead == true) {
			dronIsDead = false;
			LockPlayer();
			Teleport(3);
		}
		delay(1);
	}
}

script 2 (void) {
	ACS_Execute(1, 0, 0, 0, 0);
	Teleport(3);
	SetMusic("D_DRON");
	doStory(257, 5, 1);scriptwait(501);
	doStory(341, 6, 1);scriptwait(501);
	Thing_Activate(4);
	//GiveInventory("QuestItem29", 1);
}

script 3 (void) {
	int i;
	for(i = 8000; i < 8300; i++) {
		Thing_Remove(i);
	}
	ACS_Terminate(907, 0);
	drawHealth = false;
	bossSubValue = 0;
	masterTid = 0;
	Thing_Remove(7000);
	Thing_Remove(212);
	Thing_Remove(215);
	dronIsDead = true;
	ChangeCamera(7, 0, 0);
	LockPlayer();
	doStory(262, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(7, 0, 0);
	delay(35);
	ChangeCamera(6, 0, 0);
	Thing_SpawnFacing(5, 229, 0, 100);
	Thing_Deactivate(100);
	doStory(263, 4, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(7, 0, 0);
	doStory(267, 1, 1);scriptwait(501);
	Thing_Activate(100);
}

//give weapons back
script 253 (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 3500);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
	delay(1);
	doStory(254, 3, 1);scriptwait(501);
}