//**************************************************************************
//**
//** kaiser_21-map26.acs : poedDoom
//**$Revise Date: 08/05/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m26"
#include "cif3_main.c"

bool ohshi = false;
int seq = 0;

script 1 (void) {
	while(1) {
		if(checkInventory("QuestItem31")) {
			TakeInventory("QuestItem31", 1);
			updateObjectives(269, "O_22", 1);
			ohshi = true;
			terminate;
		}
		delay(1);
	}
}

script 2 (void) {
	if(ohshi == true) {
		ohshi = false;
		SetPlayerProperty(0, 1, 0);
		while(1) {
			if(seq == 0 && 
				(GetActorAngle(0)/256 <= 240 && GetActorAngle(0)/256 >= 140)) {
				seq++;
				Thing_Remove(2);
				printbold(s:"Error: Teleport Connection failure :-)");
				LockPlayer();
				delay(100);
				UnLockPlayer();
				SetPlayerProperty(0, 1, 0);
			}
			if(seq == 1 &&
				(GetActorAngle(0)/256 >= 15 && GetActorAngle(0)/256 <= 112)) {
				seq++;
				Thing_SpawnFacing(1, 230, 1, 20);
				Thing_Deactivate(20);
				SetMusic("");
				LocalAmbientSound("other/recordbreak", 127);
				delay(20);
				SetLineBlocking(1, BLOCK_EVERYTHING);
				SetPlayerProperty(0, 0, 0);
				Thing_Activate(20);
				setmusic("I_PROP");
				terminate;
			}
			delay(1);
		}
	}
}

script 3 (void) {
	if(seq == 2) {
		seq++;
		Thing_SpawnFacing(3, 185, 1, 0);
		Radius_Quake (64, 32*35, 0, 127, 4);
		Floor_RaiseToLowestCeiling(1, 255);
		delay(5*35);
		ACS_Execute(250, 0, 30, 0, 0);
	}
}

script 4 (void) {
	LocalAmbientSound("weapons/takejet", 127);
	TakeInventory("JetPack", 1);
	doStory(270, 1, 1);scriptwait(501);
}

//give weapons back
script 253 (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 3500);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
}