//**************************************************************************
//**
//** kaiser_21-map33.acs : poedDoom
//**$Revise Date: 1/2/06 -REJECTED DAY
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m28"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_wmull.c"

int onslaught[7] = {206, 213, 205, 200, 205, 200, 199};

script 1 (void)
{
	while(!checkInventory("SpecialItem"))
		delay(1);
	updateObjectives(45, "o_13", 1);
	while(!checkInventory("SpecialItem2"))
		delay(1);
	Thing_Activate(1);
	while(!checkInventory("I_NewDoom"))
		delay(1);
	updateObjectives(46, "o_14", 1);
}

script 2 (void)
{
	int i;
	int height;
	Radius_Quake (5, 10*35, 0, 64, 2);
	for(i = 3; i < 23; i++)
	{
		height += 16;
		Floor_LowerByValue(i, 48, height);
		tagwait(i);
	}
}

script 3 (void)
{
	while(!checkInventory("SpecialItem3"))
		delay(1);
	Thing_Activate(4);
}

script 4 (void)
{
	while(thingcount(0, 5) > 0)
		delay(1);
	Door_Open (25, 4);
	while(thingcount(0, 6) > 0)
		delay(1);
	Floor_LowerByValue(26, 16, 160);
}

script 5 (void)
{
	int kill = 0;
	Floor_RaiseByValue(26, 64, 160);
	Radius_Quake (5, 10*35, 0, 64, 13);
	delay(8*35);
	while(kill != 8)
	{
		Thing_SpawnFacing(8, onslaught[random(0, 6)], 0, 1000);
		kill++;
		delay(8*35);
	}
	while(thingcount(0, 1000) > 0)
		delay(1);
	ACS_Execute(400,0,1000,0,0);
	printbold(s:"BHAHAHAHAHAHAHHAHAHA");
	delay(3*35);
	SetMusic("");
	teleport_nofog(15);
	doStory(47, 8, 1);
	delay(1);
	Floor_LowerToLowest(28, 32);
	ChangeCamera(14, 1, 1);
	scriptwait(501);
	teleport_nofog(16);
	
}

//give weapons back
script LVLLOAD (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 255;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 180);
		GiveInventory("RocketAmmo", 100);
		GiveInventory("Shell", 80);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 1000);
		GiveInventory("FlameSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN
{
	if(weaponNum == 0)
		ACS_Execute(253, 0, 0, 0, 0);

	delay(1);
	doStory(326, 9, 1); scriptwait(501);
}