//**************************************************************************
//**
//** kaiser_21-map35.acs : poedDoom
//**$Revise Date: 02/16/08
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m35"
#include "cif3_main.c"

script 1 (void)
{
	Thing_Activate(5);
}

script 2 (void)
{
	int i = 0;
	int j = 0;

	Radius_Quake (5, 2*35, 0, 64, 6);
	Thing_Activate(5);
	Thing_Destroy(5);

	while(i++ < 16)
	{
		for(j = 0; j < 8; j++)
		{
			Spawn("WmullBoom", getActorX(6) + (random(-320, 320) << 16),
							getActorY(6) + (random(-320, 320) << 16),
							getActorZ(6), 0, 0);
			delay(1);
		}

		delay(5);
	}
}

script LVLMAIN ENTER
{
	LockPlayer();
	ChangeCamera(1, 0, 0);
	delay(50);
	doStory(483, 1, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(1, 0, 0);

	doStory(484, 2, 64);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(1, 0, 0);

	doStory(486, 15, 24);
	scriptwait(501);

	Thing_Activate(2);

	LockPlayer();
	ChangeCamera(1, 0, 0);

	doStory(501, 1, 3*35);
	scriptwait(501);

	setmusic("D_BETWEE");

	LockPlayer();
	ChangeCamera(3, 0, 0);

	doStory(502, 9, 1);
	scriptwait(501);

	Teleport(4);
	LockPlayer();
	ChangeCamera(3, 0, 0);

	delay(2);
	Thing_Activate(5);
	delay(2);
	A_FaceTarget(5, 0);
	delay(2);
	Thing_Deactivate(5);
	A_FaceTarget(5, 0);
	delay(2);
	A_FaceTarget(5, 0);

	ACS_Execute(1, 0, 0, 0, 0);
	delay(1);
	ACS_Execute(1, 0, 0, 0, 0);
	delay(2);
	ACS_Execute(1, 0, 0, 0, 0);

	delay(2*35);

	doStory(511, 3, 16);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(3, 0, 0);

	ACS_Execute(2, 0, 0, 0, 0);
	delay(2*35);
	ChangeCamera(7, 0, 0);
	delay(35);
	fadeto (0, 0, 0, 1.0, 16.2);
	delay(16*35);
	ACS_Execute(250, 0, 99, 0, 0);
}
