//**************************************************************************
//**
//** kaiser_21-map30.acs : poedDoom
//**$Revise Date: 11/07/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m30"
#include "cif3_main.c"

int var = 0;
int var2 = 0;
int var3 = -1;
int var4 = 0;

script 1 (void)
{
	SetActorAngle(0, (random(-128, 128))<<8);
}

script 2 (void)
{
	delay(1);
	doStory(347, 11, 1);scriptwait(501);
	Thing_Remove(3);
}

script 3 ENTER
{
	int z = plyrZ;
	SetActorPosition(0, plyrX, plyrY, z + (2048<<16), false);
}

script 4 (void)
{
	var++;
	if(var==2)
	{
		printbold(s:"Gate Opened..");
		delay(50);
		LockPlayer();
		Radius_Quake (5, 2*35, 0, 64, 2);
		delay(2*35);
		doStory(358, 1, 1);scriptwait(501);
		LockPlayer();
		delay(3*35);
		Radius_Quake (8, 10*35, 0, 128, 2);
		delay(2*35);
		doStory(359, 1, 1);scriptwait(501);
		LockPlayer();
		delay(3*35);
		doStory(360, 5, 1);scriptwait(501);
		delay(1);
		ACS_Execute(5, 0, 0, 0, 0);
	}
}

script 5 (void)
{
	SetMusic("I_TOM09");
	Thing_SpawnFacing(4, 200, 0, 777);
	Thing_SpawnFacing(5, 202, 0, 777);
	while(thingCount(0, 777) > 0) 
		delay(1);
	Door_Open(1, 16);
}

script 6 (void)
{
	var2++;
	if(var2==2)
	{
		printbold(s:"Gate Opened..");
	}
}

script 7 (void)
{
	if(var2==2)
	{
		var2++;
		Thing_SpawnFacing(7, 202, 0, 778);
		Thing_SpawnFacing(6, 209, 0, 778);
		while(thingCount(0, 778) > 0)
			delay(1);
		Door_Open(2, 16);
	}
}

script 8 (void)
{
	Ceiling_RaiseByValue(3, 8, 32);
	var3 = 0;
}

script 9 (void)
{
	if(var3 >= 0)
	{
		var3++;
		if(var3 == 2)
		{
			var3 = -1;
			delay(2*35);
			Radius_Quake (5, 2*35, 0, 64, 2);
			delay(50);
			Thing_SpawnFacing(10, 209, 0, 780);
			Thing_SpawnFacing(13, 201, 0, 780);
			delay(35);
			Thing_SpawnFacing(8, 206, 0, 780);
			delay(35);
			Thing_SpawnFacing(11, 202, 0, 780);
			delay(35);
			Thing_SpawnFacing(9, 213, 0, 780);
			delay(35);
			Thing_SpawnFacing(12, 200, 0, 780);
			delay(35);
			Thing_SpawnFacing(14, 223, 0, 780);
			while(thingCount(0, 780) > 0)
				delay(1);
			printbold(s:"Gate Opened..");
			Door_Open(4, 16);

		}
	}
}

script 10 (void)
{
	setlineblocking(1, BLOCK_EVERYTHING);
	Door_Close(5, 192);
	tagwait(5);
	delay(2*35);
	Floor_LowerToLowest(400, 12);
	delay(4*35);
	doStory(365, 5, 1);scriptwait(501);
	ACS_Execute(11, 0, 0, 0, 0);
}

script 11 (void)
{
	Thing_SpawnFacing(15, 208, 0, 800);
	while(thingCount(0, 800) > 0)
		delay(1);
	var4++;
	if(var4 < 10)
		Restart;
	else
	{
		doStory(370, 11, 1);scriptwait(501);
		delay(35);
		ACS_Execute(250, 0, 33, 0, 0);
	}
}

//give weapons back
script LVLLOAD (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("Coin", 4000);
	}

	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN
{
	LockPlayer();
	ChangeCamera(1, 0, 0);
	ACS_Execute(253, 0, 0, 0, 0);
}