#include "stdafx.h"
#include <stdio.h>
#include <io.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>

typedef struct
{
	short ceiling, floor;
	char ceil[8];
	char flr[8];
	short light, type, tag;
} doomSector_t;

int main(int argc, char**argv)
{
	int handle = open(argv[1],O_RDONLY | O_BINARY);
	doomSector_t* sec;
	lseek(handle, 0, SEEK_END);
	int size = tell(handle);
	lseek(handle, 0, SEEK_SET);

	sec = (doomSector_t*)malloc(sizeof(doomSector_t)*(size / sizeof(doomSector_t)));
	read(handle, sec, size);

	for(int i = 0; i < 376; i++)
	{
		sec[i].tag = i+1;
	}

	FILE* f = fopen("SECTORS.lmp", "wb");
	fwrite(sec, sizeof(doomSector_t)*(size / sizeof(doomSector_t)), 1, f);
	free(sec);
	fclose(f);
	return 1;
}
