int recoilPitch;

script 877 (void) {
	int tTid = GetAvailableSysTid();
	Spawn("SnipeZoom", plyrX, plyrY, plyrZ + (48 << 16), tTid, plyrAngle >> 8);
	ACS_Execute(878, 0, tTid, 0, 0);
	ChangeCamera (-1, 0, 0);
}

script 878 (int tTid) {
	int heightshift = 0;
	camZ = 92;

	while(CheckInventory("CheckSnipe")) {
		if(timer() & 31)
			ThingSound(-1, "weapons/snipesnd", 127);

		if((plyrZ + (64 << 16)) >= plyrCeilingZ)
			heightShift = 16 << 16;
		else heightShift = 0;

		A_SetInFront(plyrX, plyrY, plyrZ + (48 << 16) - heightShift, plyrAngle, tTid, 4);
		SetActorPitch(tTid, (GetActorPitch(0) - recoilPitch));
		SetActorAngle(tTid, GetActorAngle(0));
		SetCameraToTexture(tTid, "CAMTEX04", camZ);
		delay(1);
	}
	Thing_Remove(tTid);
	ChangeCamera (0, 0, 0);
}

script 879 (void) {
	int distance = A_ReachPlayerLen(GetActorX(0), GetActorY(0));
	int sndDistance = distance >> 4;
	static str snipeSnds[4] = {
		"weapons/snipehit1",
		"weapons/snipehit2",
		"weapons/snipehit3",
		"weapons/snipehit4"
	};

	if(sndDistance > 127)
		sndDistance = 127;

	AmbientSound(snipeSnds[random(0, 3)], 127 - sndDistance);
	for(int i = 0; i < 4; i++)
		A_TossSomething("Debris", 0);
}

script 880 (void) {
	ThingSound(-1, "monsters/newbfire", 127);
}

script 881 (void) {
	int amt;
	if(camZ)
		amt = (96 / camZ);
	else amt = (96 / 80);
	recoilPitch = 2048 / amt;

	while(recoilPitch > 0) {
		recoilPitch -= (48 - amt);
		delay(1);
	}
}

script 935 (void) {
	for(int i = 0; i < 12; i++) {
		if(camZ+i >= 92) break;
		camZ++;
		delay(1);
	}
}

script 936 (void) {
	for(int i = 0; i < 12; i++) {
		if(camZ-i <= 4) break;
		camZ--;
		delay(1);
	}
}