//**************************************************************************
//**
//** tables.acs : poedDoom
//**$Revise Date: 11/18/06
//**$Author: kaiser
//**$Description: Table initializations
//**
//**************************************************************************

#library "tables"
#import "globals.c"
#include "generated.c"

#define METERMAX	101
#define	HEATHMAX	100
#define FIXTABLE	10240
#define FONTTABLE	128
#define TMPTABLE	256

function void SetupTables(void) {
	int i;

	for(i = 0; i < METERMAX; i++)
		meterList[i] = meterListLib[i];

	for(i = 0; i < HEATHMAX; i++)
		healthTable[i] = healthTableLib[i];

	for(i = 0; i < FIXTABLE; i++)
		fixedTable[i] = fixedTableLib[i];

	for(i = 0; i < FONTTABLE; i++)
		sFontTable[i] = sFontTableLib[i];

	for(i = 0; i < TMPTABLE; i++)
		tempStr[i] = tempStrLib[i];
}

function int GetFineSine(int i) {
	return fixedTable[i];
}

function int GetFineCosine(int i) {
	int fineAngles = 8192 / 4;
	return fixedTable[i] + fineAngles;
}