//**************************************************************************
//**
//** kaiser_21-map03.acs : poedDoom
//**$Revise Date: 05/06/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m03"
#include "cif3_main.c"

int mapvar1 = 0;
int mapvar2 = 0;
int mapvar3 = 0;
int spotvar = 99;
int mapvar4 = 0;
int mapvar5 = 0;

script 2 (void)
{
	Delay(1*35);
	Floor_LowerToLowest(4, 8);
	tagwait(4);
	Floor_LowerToLowest(3, 16);
}

script 3 (void)
{
	Delay(1*35);
	Floor_LowerToLowest(5, 8);
	tagwait(5);
	Radius_Quake (5, 2*35, 0, 64, 1);
	Thing_Spawn(2, 255, 0, 3);
	while(1)
	{
	if(CheckInventory("SpecialItem"))
	{
			Thing_Activate(3);
			Thing_Destroy(3);
	}
		delay(1);
	}
}

script 4 (void)
{
	int x;
	int y;
	int z;
	int a;
	if(mapvar1 == 1)
	{
		mapvar1 = 0;
		SetLineBlocking(2, BLOCK_EVERYTHING);
		LockPlayer();
		SetLineBlocking(1, BLOCK_CREATURES);
		Floor_RaiseByValue(7, 128, 128);
		tagwait(7);
		Floor_LowerToLowest(6, 16);
		tagwait(6);
		delay(16);
		Floor_RaiseByValue(6, 16, 192);
		Floor_RaiseByValue(8, 16, 192);
		delay(4*35);
		if(mapvar4 == 0)
		{
			Radius_Quake (5, 4*35, 0, 64, 3);
			Ceiling_RaiseByValue(6, 16, 512);
			Ceiling_RaiseByValue(8, 16, 512);
			delay(6*35);
		}
		Floor_RaiseByValue(6, 8, 448);
		Floor_RaiseByValue(8, 8, 448);
		tagwait(8);
		tagwait(6);
		delay(35);
		UnLockPlayer();
		SetLineBlocking(2, BLOCK_NOTHING);
		x = GetActorX(0);
		y = GetActorY(0);
		z = GetActorZ(0);
		a = GetActorAngle(0);
		Spawn("MapSpot", x + 576*FRACUNITS, y, z, spotvar, a);
		Teleport_NoFog(spotvar);
		delay(1);
		Door_Open(9, 64);
		spotvar++;
		SetLineBlocking(1, BLOCK_NOTHING);
	}
}

script 5 (void)
{
	int x;
	int y;
	int z;
	int a;
		while(1)
		{
			x = GetActorX(0);
			y = GetActorY(0);
			z = GetActorZ(0);
			a = GetActorAngle(0);
			printbold (s: "X ", i:x/65536, s:"Y ", i:y/65536, s:"Angle ", i:a);
			delay(1);
		}
}

script 6 (void)
{
	if(CheckInventory("SpecialItem"))
	{
		TakeInventory("SpecialItem", 1);
		ChangeFloor(6, "DARKF061");
		Floor_RaiseByValue(6, 8, 16);
		mapvar1 = 1;
	}
}

script 7 (void)
{
	if(CheckInventory("YellowCard") && mapvar2 == 0 && mapvar4 == 0)
	{
		Floor_RaiseByValue(10, 8, 16);
		tagwait(10);
		mapvar2 = 1;
	}
}

script 8 (void)
{
	int x;
	int y;
	int z;
	int a;
	if(mapvar2 == 1)
	{
		SetLineBlocking(2, BLOCK_EVERYTHING);
		LockPlayer();
		SetLineBlocking(1, BLOCK_CREATURES);
		Door_Close(9, 64);
		Floor_LowerToLowest(10, 16);
		tagwait(9);
		tagwait(10);
		delay(35);
		UnLockPlayer();
		SetLineBlocking(2, BLOCK_NOTHING);
		x = GetActorX(0);
		y = GetActorY(0);
		z = GetActorZ(0);
		a = GetActorAngle(0);
		Spawn("MapSpot", x - 576*FRACUNITS, y, z, 98, a);
		Teleport_NoFog(98);
		delay(35);
		Floor_LowerByValue(6, 8, 384);
		Floor_LowerByValue(8, 8, 384);
		tagwait(6);
		tagwait(8);
		delay(35);
		Radius_Quake (5, 4*35, 0, 64, 3);
		delay(6*35);
		Floor_LowerByValue(6, 64, 256);
		Floor_LowerByValue(8, 64, 256);
		//setmusic("D_ATTACK");
		Floor_LowerToLowest(7, 128);
		SetLineBlocking(1, BLOCK_NOTHING);
		mapvar3 = 1;
		ACS_Execute(16, 0, 0, 0, 0);
	}
}

script 9 (void)
{
	if(mapvar3 == 1)
	{
		mapvar3 = 0;
		Thing_SpawnFacing(5, 188, 0, 0);
	}
}

script 10 (void)
{
	while(1)
	{
		if(CheckInventory("SpecialItem2"))
		{
				GiveInventory("BlueCard", 1);
				Thing_Activate(7);
				Thing_Destroy(7);
		}
		delay(1);
	}
}

script 11 (void)
{
	if(CheckInventory("SpecialItem2"))
	{
		TakeInventory("SpecialItem2", 1);
		Thing_SpawnFacing(8, 188, 0, 0);
	}
}

script 12 (void)
{
	while(1)
	{
		if(CheckInventory("SpecialItem3"))
		{
				Thing_Activate(10);
				Thing_Destroy(10);
				updateObjectives(65, "O_2", 1);
				Floor_LowerToLowest(18, 8);
				Thing_Remove(60);
				ACS_Terminate(12, 0);
		}
		delay(1);
	}
}

script 13 (void)
{
	if(CheckInventory("SpecialItem3"))
	{
		TakeInventory("SpecialItem3", 1);
		ChangeFloor(6, "DARKF061");
		Floor_RaiseByValue(6, 8, 16);
		mapvar1 = 1;
		mapvar2 = 0;
		mapvar4 = 1;
	}
}

script 14 (void) {
	while(thingcount(188, 11) > 0)
		delay(1);

		doStory(66, 1, 1);
		scriptwait(501);

		//Reveal weasal
		LockPlayer();
		Door_Open(16, 16);
		ChangeCamera(12, 1, 1);
		tagwait(16);

		//to weasal
		doStory(67, 1, 1);
		scriptwait(501);

		//to player
		ChangeCamera(0, 1, 0);
		doStory(68, 1, 1);
		scriptwait(501);

		//to weasal
		ChangeCamera(12, 1, 1);
		doStory(69, 1, 1);
		scriptwait(501);

		//to player
		ChangeCamera(0, 1, 0);
		doStory(288, 1, 1);
		scriptwait(501);

		//show MeleeStrong
		ChangeCamera(14, 1, 1);
		Door_Open(17, 16);
		tagwait(17);
		delay(1*35);

		//to weasal
		ChangeCamera(12, 1, 1);
		doStory(70, 1, 1);
		scriptwait(501);

		//teleport away
		LockPlayer();
		ChangeCamera(12, 1, 1);
		Thing_Activate(13);
		Thing_Destroy(13);
		delay(1*35);
		Door_Close(16, 16);
		delay(2*35);

		Thing_Activate(15);
		UnLockPlayer();
		ChangeCamera(0, 1, 0);
		ACS_Execute(15, 3, 0, 0, 0);
}

script 15 (void)
{
	while(thingcount(190, 15) > 0)
	delay(1);
		Door_Open(16, 16);
		doStory(289, 1, 1);
		scriptwait(501);
}

script 16 (void) {
	LockPlayer();
	ChangeCamera(16, 1, 1);
	tagwait(6);
	tagwait(7);
	tagwait(8);

	doStory(282, 2, 1);
	scriptwait(501);

	SetMusic("I_TOM03");
	LockPlayer();
	ChangeCamera(17, 1, 1);
	delay (2*35);
	ChangeCamera(18, 1, 1);
	delay (2*35);
	ChangeCamera(19, 1, 1);
	Thing_Activate(19);
	delay (4*35);

	doStory(284, 1, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(16, 1, 1);

	doStory(285, 1, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(19, 1, 1);

	doStory(286, 2, 1);
	scriptwait(501);

	UnLockPlayer();
}

script 255 OPEN
{
	SetPlayerProperty(1, 0, 4);
	SetPlayerProperty(1, 0, 1);
	GiveInventory("FryingPan", 1);
	doStory(63, 1, 24);
	scriptwait(501);
	updateObjectives(64, "", 1);
}