//**************************************************************************
//**
//** kaiser_21-map04.acs : poedDoom
//**$Revise Date: 02/22/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m04"
#include "cif3_main.c"

int mapvar1 = 0;
int mapvar2 = 0;
int mapvar5 = 0;
int questVar = 0;
#define Arena_Max_X -2208
#define Arena_Min_X -1120
#define Arena_Max_Y  2016
#define Arena_Min_Y 1056

script 1 (void)
{
	printbold(s:"Entering Doom 3 community..");
	delay(3*35);
}

script 2 OPEN
{
	while(thingcount(0, 1) > 0)
		delay(1);
	printbold(s:"Good going dumbass, you just killed the Doom3 community..");
}

script 3 (void)
{
	while(1)
	{
		if(CheckInventory("SpecialItem"))
		{
				GiveInventory("RedCard", 1);
		}
		delay(1);
	}
}

script 4 (void)
{
	while(1)
	{
		if(CheckInventory("SpecialItem2"))
		{
				mapvar2 = 0;
				Door_Open(1, 16);
				delay(1);
				TakeInventory("SpecialItem2", 1);
				TakeInventory("SpecialItem3", 1);
		}
		delay(1);
	}
}

script 5 (void) {
	static str arena[4] = {"NewbMelee", "NewbMeleeFast", "NewbMelee", "NewbMeleeStrong"};
	if(mapvar2 == 0)
	{
		mapvar2 = 1;
		int rndX = 0;
		int rndY = 0;
		mapvar1 = 0;
		int rndAngle = 0;
		int rndCount = 0;
		int monster = 0;
		setmusic("");
		printbold(s:"Get ready to rumble!!!!!!!!!!!!!!!!!!111111111111111");
		Door_Close(1, 16);
		delay(5*35);
		setmusic("D_ATTACK");
		delay(1*35);
		while(mapvar1 != 10)
		{
			for(rndCount = 1; rndCount < random(1, 15); rndCount++)
			{
				monster = random(0, 3);
				rndX = random(Arena_Max_X, Arena_Min_X);
				rndY = random(Arena_Max_Y, Arena_Min_Y);
				rndAngle = random(0, 360);
				Spawn(arena[monster], rndX * FRACUNITS, rndY * FRACUNITS, 0, 99, rndAngle);
				Spawn("TeleportFog", rndX * FRACUNITS, rndY * FRACUNITS, 0, 0, 0);
				delay(15);
			}
			delay(random(5, 15)*35);
			mapvar1++;
		}
		ACS_Execute(7, 0, 0, 0, 0);
	}
}

script 6 (void)
{
	if(CheckInventory("SpecialItem3"))
	{
		Door_Close(1, 128);
		delay(1);
	}
}

script 7 (void)
{
	while(thingcount(0, 99) > 0)
		delay(1);
	setmusic("D_BETWEE");
	ACS_Execute(400,0,99,0,0);
	ACS_Execute(400,0,120,0,0);
	printbold(s:"Congrats!");
	questVar++;
	Door_Open(1, 16);
	GiveInventory("SpecialItem3", 1);
}
script 9 (void)
{
	ChangeCamera(5, 0, 0);
	doStory(72, 2, 1*35);
	scriptwait(501);
	ChangeCamera(6, 0, 0);
	doStory(74, 1, 1);
	scriptwait(501);
	ChangeCamera(4, 0, 0);
	doStory(75, 1, 1);
	scriptwait(501);

	ChangeCamera(6, 0, 0);
	doStory(76, 1, 1);
	scriptwait(501);
	ChangeCamera(9, 0, 0);
	doStory(77, 11, 1);
	scriptwait(501);

	ChangeCamera(6, 0, 0);
	doStory(88, 1, 1);
	scriptwait(501);

	ChangeCamera(8, 0, 0);
	doStory(89, 7, 1);
	scriptwait(501);

	ChangeCamera(10, 0, 0);
	doStory(96, 2, 1);
	scriptwait(501);
	ChangeCamera(8, 0, 0);
	doStory(98, 1, 1);
	scriptwait(501);
	ChangeCamera(10, 0, 0);
	doStory(99, 10, 1);
	scriptwait(501);
	ChangeCamera(8, 0, 0);
	doStory(109, 3, 1);
	scriptwait(501);

	ChangeCamera(6, 0, 0);
	doStory(112, 1, 1);
	scriptwait(501);

	ChangeCamera(11, 0, 0);
	doStory(113, 20, 1);
	scriptwait(501);

	ChangeCamera(2, 0, 0);
	doStory(133, 1, 1);
	scriptwait(501);

	ChangeCamera(11, 0, 0);
	doStory(134, 2, 1);
	scriptwait(501);

	ChangeCamera(2, 0, 0);
	doStory(136, 1, 1);
	scriptwait(501);

	ChangeCamera(11, 0, 0);
	doStory(137, 1, 1);
	scriptwait(501);

	ChangeCamera(2, 0, 0);
	doStory(138, 1, 1);
	scriptwait(501);

	ChangeCamera(3, 0, 0);
	doStory(139, 1, 1);
	scriptwait(501);

	ChangeCamera(3, 0, 0);
	doStory(140, 5, 1);
	SetMusic("");
	setlinetexture(10, SIDE_FRONT, TEXTURE_MIDDLE, "OHSHI");
	scriptwait(501);

	ChangeCamera(14, 0, 0);
	LockPlayer();
	Thing_Activate(12);
	Thing_Activate(13);
	Thing_Hate (13, 12, 6);
	while(thingcount(0, 12))
		delay(1);
	doStory(145, 1, 1);
	scriptwait(501);

	ChangeCamera(14, 0, 0);
	LockPlayer();
	Thing_Activate(7);
	Thing_Destroy(7);
	delay(3*35);

	ChangeCamera(6, 0, 0);
	doStory(146, 2, 1);
	scriptwait(501);

	ChangeCamera(9, 0, 0);
	doStory(148, 6, 1);
	scriptwait(501);

	ChangeCamera(6, 0, 0);
	doStory(154, 3, 1);
	scriptwait(501);

	ChangeCamera(4, 0, 0);
	doStory(157, 2, 1);
	scriptwait(501);

	SetMusic("D_BETWEE");
	updateObjectives(159, "O_15", 1);
	GiveInventory("BlueCard", 1);
	GiveInventory("SpecialItem4", 1);
}

script 10 (void) {
	SetMusic("D_OHOH");
	ChangeCamera(97, 0, 0);
	fadeto(0, 0, 0, 1.0, 0.0);
	delay(3*35);
	fadeto(0, 0, 0, 0.0, 5.0);
	delay(5*35);
	Thing_Activate(97);
	delay(6*35);
	DoStory(160, 9, 1);
	scriptwait(501);

	LockPlayer();
	ChangeCamera(97, 0, 0);
	fadeto(0, 0, 0, 1.0, 5.0);
	delay(6*35);

	SetMusic("D_BETWEE");
	ChangeCamera(321, 0, 0);
	fadeto(0, 0, 0, 0.0, 5.0);
	delay(5*35);
	DoStory(290, 1, 1);
	scriptwait(501);
	updateObjectives(71, "O_4", 1);

}

script 11 (void) {
	ChangeCamera(450, 0, 0);
	LockPlayer();
	delay(4*35);

	Thing_Activate(450);
	doStory(291, 2, 1);
	scriptwait(501);
	ChangeCamera(480, 0, 0);
	doStory(293, 3, 1);
	scriptwait(501);
	doStory(314, 2, 1);
	scriptwait(501);
}

//give weapons back
script LVLLOAD (void) {
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 3;
		GiveInventory("Coin", 200);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
			TakeInventory(Xammo[i], Iammo[i]);	//prevent giving extra ammo
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN {
	ACS_Execute(253, 0, 0, 0, 0);
	UnLockPlayer();
	CreateTranslation (7, 112:127=80:95);
	setlinetexture(1, SIDE_FRONT, TEXTURE_MIDDLE, "MAPPIC1");
	ACS_Execute(10, 0, 0, 0, 0);
	while(1)
	{
		if(questVar == 1)
		{
			GiveInventory("QuestItem31", 1);
			ACS_Terminate(255, 0);
		} delay(1);
	}
}