//**************************************************************************
//**
//** kaiser_21-map06.acs : poedDoom
//**$Revise Date: 06/09/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m06"
#include "cif3_main.c"

int mapvar1 = 0;
int mapvar5 = 0;

script 1 (void) {
	int i = 0;
	while(i == 0) {
		if(CheckInventory("SpecialItem")) {
				GiveInventory("RaiseAlarm", 1);
				ACS_Execute(253, 0, 0, 0, 0);
				Door_Open(1, 16);
				updateObjectives(173, "", 1);
				i++;
		}
		delay(1);
	}
}

script 2 (void) {
	int i = 3;
	int j = 8;
	mapvar1++;
	if(mapvar1 == 2) {
		Radius_Quake (5, 4*35, 0, 64, 1);
		while(i != 9) {
			Floor_LowerByValue(i, 8, j);
			i++;
			j += 8;
			delay(1);
		}
		delay(2*35);
		Floor_LowerToLowest(9, 16);
	}
}

script 3 (void) {
	while(1) {
		if(CheckInventory("SpecialItem2")) {
				GiveInventory("BlueCard", 1);
		}
		if(CheckInventory("NPCRedCard")) {
				GiveInventory("RedCard", 1);
				TakeInventory("NPCRedCard", 1);
		}
		delay(1);
	}
}

script 4 (void) {
	int i;
	int j = 2;
	int o = 9;
	Thing_Spawn(7, 190, 0, 8);
	delay(1*35);
	while(thingcount(190, 8) > 0)
	delay(1);
	LockPlayer();
	ChangeCamera(9, 1, 1);
	delay(1*35);
	Door_Open(18, 16);
	ACS_Execute(6,0,0,0,0);
}

script 6(void) {
	doStory(318, 1, 1);
	scriptwait(501);
	LockPlayer();
	ChangeCamera(9, 1, 1);
	SetActorProperty(15, APROP_Health, 1);
	Thing_Activate(13);
	Thing_Hate (13, 15, 3);
	while(thingcount(0, 15))
		delay(1);

	delay (2*35);
	UnLockPlayer();
	ChangeCamera(0, 1, 0);
}

script 7 (void) {
	doStory(322, 1, 1);
	scriptwait(501);

	Thing_Activate(8);
	Thing_Activate(11);
	Thing_Activate(12);
}

script 8 (void) {
	SetMusic("");
	doStory(319, 2, 1);
	scriptwait(501);

	Thing_Activate(14);
	SetMusic("I_TOM02");
}

//give weapons back.. if warped to this map, give default weapons
script LVLLOAD (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 3;
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN {
	int i;
	UnLockPlayer();
	for(i = 0; i < 10; i++) {
		TakeInventory(Xweapons[i], 1);
	}

	delay (1);
	doStory(316, 2, 1);
	scriptwait(501);

	while (thingcount(0, 10) > 0)
		delay (1);

	doStory(321, 1, 1);
	scriptwait(501);
}