//**************************************************************************
//**
//** kaiser_21-map12.acs : poedDoom
//**$Revise Date: 03/03/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m12"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_dron.c"

int mapvar1 = 0;
int mapvar2 = 0;
int mapvar3 = 0;
int mapvar5 = 0;
#define Arena_Max_X -2208
#define Arena_Min_X -1120
#define Arena_Max_Y  2016
#define Arena_Min_Y 1056
int questVar = 0;
str arena[7] = {"NewbMeleeFast", "NewbMeleeFast", "NewbMeleeFast", "Ralph", "Buttman",
"NewbMeleeFast", "NewbMissle3"};

script 1 (void)
{
	if(CheckInventory("QuestItem28"))
	{
		TakeInventory("QuestItem28", 1);
		ChangeCamera(7, 0, 0);
		doStory(200, 2, 1);scriptwait(501);
		mapvar3 = 1;
	}
	else
	{
		printbold(s:"Door is Locked");
	}
}

script 2 (void)
{
	if(mapvar3 == 1)
	{
		mapvar3 = 0;
		setmusic("");
		Door_Close(4, 128);
		delay(4*35);
		Thing_Remove(9);
		Floor_RaiseByValue(3, 128, 128);
		Thing_SpawnNoFog(10, 185, 0, 11);
		Radius_Quake (6, 4*35, 0, 64, 4);
		delay(4*35);
		Thing_Remove(11);
		delay(2*35);
		Door_Open(4, 128);
		mapvar5++;
	}
}

script 4 (void)
{
	while(1)
	{
		if(CheckInventory("SpecialItem2"))
		{
				mapvar2 = 0;
				Door_Open(1, 16);
				printbold(s:"<AgentSpork> I recomend saving for this match!");
				delay(1);
				TakeInventory("SpecialItem2", 1);
				TakeInventory("SpecialItem3", 1);
		}
		delay(1);
	}
}

script 5 (void)
{
	if(mapvar2 == 0)
	{
		mapvar2 = 1;
		int rndX = 0;
		int rndY = 0;
		mapvar1 = 0;
		int rndAngle = 0;
		int rndCount = 0;
		int monster = 0;
		setmusic("");
		printbold(s:"Get ready to rumble!!!!!!!!!!!!!!!!!!111111111111111");
		if(CheckInventory("Health") <= 115)
		{
			Thing_Spawn(1, T_SOULSPHERE,0, 120);
		}
		if(CheckInventory("Cell") <= 140)
		{
			Thing_Spawn(2, T_BATTERY,0, 120);
		}
		if(CheckInventory("Clip") <= 200)
		{
			Thing_Spawn(8, T_AMMOBOX,0, 120);
		}
		if(CheckInventory("Armor") <= 60)
		{
			Thing_Spawn(3, T_GREENARMOR,0, 120);
		}
		if(CheckInventory("Shell") <= 40)
		{
			Thing_Spawn(9, T_SHELLS,0, 120);
		}
		Door_Close(1, 16);
		delay(5*35);
		setmusic("D_ATTACK");
		delay(1*35);
		while(mapvar1 != 10)
		{
			for(rndCount = 1; rndCount < random(5, 25); rndCount++)
			{
				monster = random(0, 6);
				rndX = random(Arena_Max_X, Arena_Min_X);
				rndY = random(Arena_Max_Y, Arena_Min_Y);
				rndAngle = random(0, 360);
				Spawn(arena[monster], rndX * FRACUNITS, rndY * FRACUNITS, 0, 99, rndAngle);
				Spawn("TeleportFog", rndX * FRACUNITS, rndY * FRACUNITS, 0, 0, 0);
				delay(15);
			}
			delay(random(5, 15)*35);
			mapvar1++;
		}
		ACS_Execute(7, 0, 0, 0, 0);
	}
}

script 6 (void)
{
	if(CheckInventory("SpecialItem3"))
	{
		Door_Close(1, 128);
		delay(1);
	}
}

script 7 (void)
{
	while(thingcount(0, 99) > 0)
		delay(1);
	setmusic("D_ZDOOM2");
	ACS_Execute(400,0,99,0,0);
	ACS_Execute(400,0,120,0,0);
	printbold(s:"Congrats!");
	questVar++;
	Door_Open(1, 16);
	GiveInventory("SpecialItem3", 1);
}

script 8 (void)
{
	if(mapvar5 == 1)
	{
		mapvar5++;
		LockPlayer();
		SetLineBlocking(1, BLOCK_EVERYTHING);
		ChangeCamera(13, 1, 1);
		delay(1*35);
		Floor_LowerByValue(6, 8, 256);
		delay(5*35);
		ChangeCamera(17, 1, 1);
		delay(1*35);
		Teleport(12);
		ACS_Execute(9, 0, 0, 0, 0);
	}
}

script 9 (void)
{
	int i;
	int j = 1;
	int o = 15;
	int x = GetActorX(30);
	int y = GetActorY(30);
	SetMusic("D_OHOH");
	doStory(202, 6, 35);scriptwait(501);
	LockPlayer();
	ChangeCamera(16, 0, 0);
	delay(2*35);
	Radius_Quake (6, 4*35, 0, 64, 70);
	delay(2*35);
	Spawn("TeleportFog", x, y, 0, 0, 0);
	Thing_Remove(30);
	Radius_Quake (6, 4*35, 0, 64, 70);
	delay(1*35);
	ChangeCamera(55, 1, 1);
	Radius_Quake (6, 4*35, 0, 64, 70);
	Spawn("TeleportFog", x, y, 0, 0, 0);
	Spawn("Dron_Boss", x, y, 0, 40, 0);
	Thing_Deactivate(40);
	delay(2*35);
	ChangeCamera(56, 1, 1);
	delay(1*35);
	doStory(208, 2, 1);scriptwait(501);
	Thing_Activate(40);
	ACS_Execute(910, 0, 0, 0, 0);
	autosave();
	while(1)
	{
		if(bleh == 1)
			ACS_Execute(250, 0, 14, 1, 0);
		delay(1);
	}
}

//give weapons back
script LVLLOAD (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("RocketAmmo", 20);
		GiveInventory("Cell", 180);
		GiveInventory("ClipBox", 200);
		GiveInventory("Shell", 60);
		GiveInventory("Coin", 700);
		GiveInventory("CleaverSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN
{
	Sector_SetFloorScale (5, 32, 32, 32, 32);
	ACS_Execute(253, 0, 0, 0, 0);
	Radius_Quake (6, 4*35, 0, 64, 4);
	delay(1*35);
	Door_Close(2, 255);
	updateObjectives(199, "", 1);
	delay(4*35);
	Thing_Remove(6);
}