//**************************************************************************
//**
//** kaiser_21-map13.acs : poedDoom
//**$Revise Date: 03/03/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m13"
#include "cif3_main.c"

script 1 (void)
{
	for(int x = 255; x >= 0; x -= 5)
	{
		TranslucentLine(1, x, 1);
		delay(1);
	}
	setlineblocking(1, BLOCK_NOTHING);
	ACS_ExecuteAlways(199, 0, 2, 201, 0);
	ACS_ExecuteAlways(199, 0, 1, 205, 0);
	ACS_ExecuteAlways(199, 0, 3, 193, 0);
}

script 2 (void)
{
	for(int x = 255; x >= 0; x -= 5)
	{
		TranslucentLine(2, x, 1);
		delay(1);
	}
	setlineblocking(2, BLOCK_NOTHING);
}

script 3 (void)
{
	setmusic("");
	ChangeCamera(8, 0, 0);
	doStory(5, 1, 1);scriptwait(501);
	ChangeCamera(12, 0, 0);
	Thing_SpawnFacing(13, 202, 0, 14);
	doStory(6, 1, 1);scriptwait(501);
	setmusic("D_BATTLE");
	ACS_Execute(4, 0, 0, 0, 0);
	Floor_RaiseByValue(18, 128, 128);
}

script 4 (void)
{
	while(thingcount(0, 14) > 0)
		delay(1);
	setmusic("I_TOM04");
	printbold(s:"<You> Heh...");
	Floor_LowerToLowest(18, 128);
}

script 5 (void)
{
	while(1)
	{
		if(checkInventory("SpecialItem") == 1)
		{
			GiveInventory("OpenDoor224", 1);
			updateObjectives(4, "O_9", 1);
			break;
		}
		delay(1);
	}
}

//give weapons back
script LVLLOAD (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 47;
		GiveInventory("Cell", 120);
		GiveInventory("ClipBox", 32);
		GiveInventory("Shell", 80);
		GiveInventory("Coin", 500);
		GiveInventory("CleaverSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN
{
	updateObjectives(3, "O_8", 1);
	ACS_Execute(253, 0, 0, 0, 0);
	Sector_SetRotation (1, 90, 0);
	Sector_SetCeilingScale (8, 0, 32, 0, 0);
}