//**************************************************************************
//**
//** kaiser_21-map15.acs : poedDoom
//**$Revise Date: 03/05/05
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m15"
#include "cif3_main.c"

int mapvar1;
int cameraStory_1[7] = {4, 5, 6, 4, 5, 4, 5 };

script 1 (void)
{
	while(1)
	{
		if(random(0, 80) == 0)
		{
			Thing_Activate(2);
		}
		if(random(0, 64) == 0)
		{
			Thing_Activate(1);
		}
		delay(1);
	}
}

script 2 (void)
{
	while(1)
	{
		if(checkInventory("QuestItem31"))
		{
			updateObjectives(15, "o_10", 1);
			break;
		}
		delay(1);
	}
}

script 3 (void)
{
	if(CheckInventory("QuestItem31"))
	{
		TakeInventory("QuestItem31", 1);
		ChangeFloor(6, "DARKF061");
		Floor_RaiseByValue(6, 8, 16);
		mapvar1 = 1;
	}
}

script 4 (void)
{
	if(mapvar1 == 1)
	{
		mapvar1 = 0;
		SetLineBlocking(1, BLOCK_CREATURES);
		Floor_RaiseByValue(7, 128, 128);
		tagwait(7);
		Floor_LowerToLowest(6, 16);
		tagwait(6);
		delay(16);
		Floor_RaiseByValue(6, 16, 192);
		Floor_RaiseByValue(8, 16, 192);
		delay(4*35);
		Radius_Quake (5, 4*35, 0, 64, 3);
		Ceiling_RaiseByValue(6, 64, 4096);
		Ceiling_RaiseByValue(8, 64, 4096);
		delay(6*35);
		Floor_RaiseByValue(6, 16, 2048);
		Floor_RaiseByValue(8, 16, 2048);
		delay(16*35);
		fadeto (0, 0, 0, 1.0, 8.0);
		delay(8*35);
		ACS_Execute(5, 0, 0, 0, 0);
	}
}

script 5 (void)
{
	doStory(16, 7, 1);
	delay(2);
	ACS_Execute(6, 0, 0, 0, 0);
	fadeto (0, 0, 0, 0.0, 0.0);
	scriptwait(501);
	ACS_Execute(250, 0, 16, 0, 0);
}

script 6 (void)
{
	while(numStory != 0)
	{
		ChangeCamera(cameraStory_1[cameraSequence], 1, 1);
		delay(1);
	}
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 120);
		GiveInventory("RocketAmmo", 50);
		GiveInventory("Shell", 40);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("Coin", 300);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	updateObjectives(2, "", 1);
	ACS_Execute(253, 0, 0, 0, 0);
}