//**************************************************************************
//**
//** kaiser_21-map16.acs : poedDoom
//**$Revise Date: 11/24/05
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m16"
#include "cif3_main.c"

int mapvar1 = 0;

script 1 (void)
{
	while(thingcount(0, 4) > 0)
		delay(1);
	Thing_SpawnFacing(5, 206, 0, 13);
	Thing_SpawnFacing(6, 213, 0, 0);
	delay(1);
	ACS_Execute(6, 0, 0, 0, 0);
}

script 2 OPEN
{
	int i = 300;
	while(1)
	{
		Light_ChangeToValue(i, 192);
		i++;
		Light_ChangeToValue(i, 144);
		delay(5);
		Light_ChangeToValue(i, 192);
		i--;
		Light_ChangeToValue(i, 144);
		delay(5);
	}
}

script 3 (void)
{
	while(thingcount(0, 11) > 0)
		delay(1);
	Door_Open(6, 64);
}

script 4 (void)
{
	while(thingcount(0, 12) > 0)
		delay(1);
	Door_Open(7, 16);
}

script 5 (void)
{
	if(mapvar1 == 1)
	{
		Door_Raise(8, 16, 100);
	}
	else
	{
		printbold(s:"The Door is jammed!");
	}
}

script 6 (void)
{
	delay(50*35);
	mapvar1 = 1;
	printbold(s:"The Door magically unlocked!");
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 120);
		GiveInventory("RocketAmmo", 50);
		GiveInventory("Shell", 40);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	updateObjectives(24, "o_11", 1);
	Sector_SetFloorScale (2, 4, 4, 4, 4);
	ACS_Execute(1, 0, 0, 0, 0);
	ACS_Execute(3, 0, 0, 0, 0);
	ACS_Execute(4, 0, 0, 0, 0);
	ACS_Execute(253, 0, 0, 0, 0);
	Floor_RaiseByValue(1, 16, 248);
	delay(2*35);
	doStory(23, 1, 2*35);
	delay(2);
	ChangeCamera(1, 1, 1);
	scriptwait(501);
	Thing_Activate(2);
}