//**************************************************************************
//**
//** kaiser_21-map20.acs : poedDoom
//**$Revise Date: 03/09/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m20"
#include "cif3_main.c"

int combo[4] = {0, 0, 0, 0};
bool bleh1 = false;
int sequence;
int sequence2;

script 1 (void)
{
	Thing_SpawnFacing(7, 202, 0, 8);
	Thing_SpawnFacing(5, 203, 0, 8);
	Thing_SpawnFacing(6, 191, 0, 8);

	while(thingcount(0, 8) > 0)
		delay(1);
	Floor_RaiseByValue(1, 16, 128);
	Floor_LowerToLowest(4, 32);
}

script 2 (void)
{
	Floor_RaiseToLowestCeiling(9, 8);
	setCombos(6, 5, 8, 7);
	Thing_SpawnFacing(12, 202, 0, 0);
	bleh1 = true;
}

script 3 (void)
{
	if(bleh1 == true)
	{
		Thing_SpawnFacing(14, 213, 0, 0);
		Thing_SpawnFacing(13, 192, 0, 0);
		bleh1 = false;
	}
}

script 4 (int arg0)
{
	if(combo[0] == 0)
	{
		printbold(s:"The switches aren't responding");
	}
	else
	{
		if(arg0 == combo[sequence])
			sequence++;
		else
		{
			printbold(s:"Nothing happend");
			sequence = 0;
		}
		if(sequence == 4)
		{
			printbold(s:"One of the stations in this room responded..");
			Radius_Quake (5, 1*35, 0, 64, 15);
			resetCombos();
			switch(sequence2)
			{
				case 0:
					Floor_LowerToLowest(10, 64);
				break;
				case 1:
					Floor_LowerToLowest(12, 64);
				break;
				case 2:
					Floor_LowerToLowest(22, 64);
				break;
				case 3:
					Floor_LowerToLowest(25, 64);
				break;
			}
			sequence2++;
		}
	}
}

script 5 (void)
{
	for(int x = 255; x >= 0; x -= 5)
	{
		TranslucentLine(1, x, 1);
		delay(1);
	}
	setlineblocking(1, BLOCK_NOTHING);
}

script 6 (void)
{
	delay(15);
	Floor_LowerToLowest(17, 32);
	tagwait(17);
	Floor_RaiseToLowestCeiling(16, 8);
	setCombos(7, 5, 6, 8);
	tagwait(16);
	Thing_SpawnFacing(20, 193, 0, 0);
	Thing_SpawnFacing(21, 209, 0, 0);
}

script 7 (void)
{
	delay(15);
	Floor_LowerToLowest(21, 32);
	tagwait(17);
	Floor_RaiseToLowestCeiling(20, 8);
	setCombos(8, 5, 7, 6);
	tagwait(20);
	Thing_SpawnFacing(27, 213, 0, 0);
	Thing_SpawnFacing(20, 193, 0, 0);
	Thing_SpawnFacing(21, 209, 0, 0);
}

script 8 (void)
{
	delay(15);
	Floor_LowerToLowest(24, 32);
	tagwait(24);
	Floor_RaiseToLowestCeiling(23, 8);
	setCombos(8, 6, 7, 5);
	tagwait(23);
	Thing_SpawnFacing(32, 202, 0, 0);
	Thing_SpawnFacing(33, 213, 0, 0);
	Thing_SpawnFacing(34, 203, 0, 0);
	ACS_Execute(9, 0, 0, 0, 0);
}

script 9 (void)
{
	while(thingcount(0, 40) > 0)
		delay(1);
	Floor_LowerByValue(26, 16, 128);
}

script 11 (void)
{
	ACS_Terminate(10, 0);
}

function void setCombos(int one, int two, int three, int four)
{
	combo[0] = one;
	combo[1] = two;
	combo[2] = three;
	combo[3] = four;
	sequence = 0;
}

function void resetCombos(void)
{
	int i;
	sequence = 0;
	for(i = 0; i < 4; i++)
		combo[i] = 0;
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 255;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 120);
		GiveInventory("RocketAmmo", 100);
		GiveInventory("Shell", 60);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 100);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	ACS_Execute(253, 0, 0, 0, 0);
	delay(1);
	doStory(335, 6, 1); scriptwait(501);
}