//**************************************************************************
//**
//** kaiser_21-map22.acs : poedDoom
//**$Revise Date: 06/07/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m22"
#include "cif3_main.c"

bool allDead = false;

script 1 (void) {
	printbold(s:"OH NOES HOMS!!!!! Blame the stacked sectors :(");
}

script 2 (void) {
	while(thingcount(0, 20) > 0) {
		delay(1);
	}
	printbold(s:"All Administrators are dead! Return to your spawning position!");
	allDead = true;
	delay(3*35);
	updateObjectives(228, "", 1);
}

script 3 (void) {
	if(allDead == true) {
		ACS_Execute(250, 0, 23, 0, 0);
	}
}

//give weapons back
script 253 (void) {
	int i;
	if(weaponNum == 0) {
		weaponNum = 511;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 1000);
	}
	while(i != 10) {
		if(findWeapon(weaponNum, Iweapons[i])) {
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN {
	Sector_SetFloorScale (1, 80, 80, 80, 80);
	//Sector_SetFloorScale (2, 128, 128, 128, 128);
	Sector_SetCeilingScale (1, 80, 80, 80, 80);
	Sector_SetCeilingScale (2, 80, 80, 80, 80);
	ACS_Execute(253, 0, 0, 0, 0);
	doStory(226, 1, 1);scriptwait(501);
	updateObjectives(227, "O_18", 1);
}