#include "zcommon.acs"
#include "wtransfer.acs"
#include "inventory.acs"
#include "ai.acs"

script 1 (void)
{
	ACS_Execute(199, 0, 1, 197);
	scriptwait(198);
	ACS_Execute(199, 0, 2, 192);
	scriptwait(198);
	delay(20*35);
	Thing_Spawn(12, T_REDKEYCARD, 0);
	printbold(s:"A red key card has spawned in this room");
}

script 2 (void)
{
	delay(150*35);
	Thing_Spawn(13, T_BLUEKEYCARD, 0);
	printbold(s:"ATTN: A blue key card has spawned in the kitchen!");
}

script 3 (void)
{
	delay(200*35);
	Thing_Spawn(16, T_YELLOWKEYCARD, 0);
	printbold(s:"ATTN: A yellow key card has spawned in the guest bathroom!");
}

script 4 (void)
{
	int i;
	for(i = 1000; i < fadeTid; i++)
	{
		ACS_Execute(400, 0, i, 0, 0);
	}
}

script 5 (void)
{
	printbold(s:"Haha you lost your jetpacks :(");
	TakeInventory(Xitems[3], CheckInventory(Xitems[3]));
	delay(5*35);
	ACS_Execute(250, 0, 11, 0, 0);
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 127;
		GiveInventory("Cell", 60);
		GiveInventory("ClipBox", 80);
		GiveInventory("RocketAmmo", 20);
		GiveInventory("NPCJetPack", 2);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
			TakeInventory(Xammo[i], Iammo[i]);	//prevent giving extra ammo
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	Sector_SetFloorScale (1, 12, 12, 12, 12);
	Sector_SetCeilingScale (1, 12, 12, 12, 12);
	ACS_Execute(253, 0, 0, 0, 0);
	delay(1*35);
	SetFont("BigFont");
	printbold(s:"<You> OH HELL NO");
}