//**************************************************************************
//**
//** kaiser_21-map33.acs : poedDoom
//**$Revise Date: 11/16/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m33"
#include "cif3_main.c"
#include "zwvars.acs"
#include "ai_gnewt.c"
#include "ai_egg.c"
#include "ai_xtron.c"

int var1 = 0;

script 1 (void)
{
	Teleport(1);
	while(thingCount(0, 100) > 0) 
		delay(1);
	delay(3*35);
	Radius_Quake (5, 3*35, 0, 64, 2);
	delay(2*35);
	Thing_SpawnFacing(3, 200, 0, 101);
	Thing_SpawnFacing(4, 213, 0, 101);
	while(thingCount(0, 101) > 0) 
		delay(1);
	delay(2*35);
	doStory(382, 3, 1);scriptwait(501);
	ACS_Execute(2, 0, 0, 0, 0);
}

script 2 (void)
{
	Radius_Quake (5, 3*35, 0, 64, 2);
	Thing_SpawnFacing(5, 202, 0, 102);
	Thing_SpawnFacing(4, 223, 0, 102);
	Thing_SpawnFacing(3, 213, 0, 102);
	//Thing_SpawnFacing(6, 211, 0, 102);

	//Ceiling
	ChangeCeiling(2, "F_SKY1");
	ChangeCeiling(3, "F_SKY1");
	ChangeCeiling(4, "F_SKY1");
	ChangeCeiling(5, "F_SKY1");
	ChangeCeiling(6, "F_SKY1");
	ChangeCeiling(7, "F_SKY1");
	ChangeCeiling(8, "F_SKY1");
	ChangeCeiling(9, "F_SKY1");
	ChangeCeiling(10, "F_SKY1");
	ChangeFloor(3, "DARKF214");
	ChangeFloor(4, "DARKF179");
	ChangeFloor(10, "DARKF179");
	Ceiling_RaiseByValue(2, 64, 384);
	Ceiling_RaiseByValue(3, 64, 384);
	Ceiling_RaiseByValue(4, 64, 384);
	Ceiling_RaiseByValue(5, 64, 384);
	Ceiling_RaiseByValue(6, 64, 384);
	Ceiling_RaiseByValue(7, 64, 384);
	Ceiling_RaiseByValue(8, 64, 384);
	Ceiling_RaiseByValue(9, 64, 384);
	Ceiling_RaiseByValue(10, 64, 384);
	tagwait(2);
	tagwait(3);
	tagwait(4);
	tagwait(5);
	tagwait(6);
	tagwait(7);
	tagwait(8);
	tagwait(9);
	tagwait(10);

	//Floor
	Floor_RaiseByValue(3, 64, 320);
	tagwait(3);
	Floor_RaiseByValue(4, 64, 256);
	Floor_RaiseByValue(10, 64, 256);
	tagwait(4);
	tagwait(10);

	while(thingCount(0, 102) > 0) 
		delay(1);
	delay(2*35);
	ACS_Execute(3, 0, 0, 0, 0);
}

script 3 (void)
{
	Radius_Quake (5, 3*35, 0, 64, 2);
	Thing_SpawnFacing(5, 209, 0, 103);
	Thing_SpawnFacing(4, 200, 0, 103);
	Thing_SpawnFacing(3, 205, 0, 103);
	//Thing_SpawnFacing(6, 211, 0, 103);
	Thing_SpawnFacing(7, 202, 0, 103);

	//Ceiling
	ChangeCeiling(3, "DARKF132");
	ChangeCeiling(5, "DARKF041");
	ChangeCeiling(6, "DARKF132");
	ChangeCeiling(7, "DARKF041");
	ChangeCeiling(8, "DARKF132");
	Ceiling_LowerByValue(3, 64, 128);
	Ceiling_LowerByValue(5, 64, 192);
	Ceiling_LowerByValue(6, 64, 128);
	Ceiling_LowerByValue(7, 64, 192);
	Ceiling_LowerByValue(8, 64, 128);
	tagwait(3);
	tagwait(5);
	tagwait(6);
	tagwait(7);
	tagwait(8);

	//Floor
	ChangeFloor(7, "DARKF284");
	ChangeFloor(8, "DARKF284");
	ChangeFloor(9, "DARKF284");
	Floor_LowerByValue(3, 64, 96);
	Floor_RaiseByValue(7, 64, 192);
	Floor_RaiseByValue(8, 64, 192);
	Floor_RaiseByValue(9, 64, 192);
	tagwait(3);
	tagwait(7);
	tagwait(8);
	tagwait(9);

	while(thingCount(0, 103) > 0) 
		delay(1);
	delay(2*35);
	doStory(385, 3, 1);scriptwait(501);
	ACS_Execute(4, 0, 0, 0, 0);
}

script 4 (void)
{
	Radius_Quake (5, 3*35, 0, 64, 2);
	Thing_SpawnFacing(3, 204, 0, 104);
	//Thing_SpawnFacing(6, 211, 0, 104);
	Thing_SpawnFacing(7, 213, 0, 104);

	//Ceiling
	ChangeCeiling(3, "F_SKY1");
	ChangeCeiling(5, "F_SKY1");
	ChangeCeiling(6, "F_SKY1");
	ChangeCeiling(7, "F_SKY1");
	ChangeCeiling(8, "F_SKY1");
	Ceiling_RaiseByValue(3, 64, 128);
	Ceiling_RaiseByValue(5, 64, 192);
	Ceiling_RaiseByValue(6, 64, 128);
	Ceiling_RaiseByValue(7, 64, 192);
	Ceiling_RaiseByValue(8, 64, 128);
	tagwait(3);
	tagwait(5);
	tagwait(6);
	tagwait(7);
	tagwait(8);

	//Floor
	ChangeFloor(4, "DARKF195");
	Floor_LowerByValue(4, 64, 256);
	tagwait(4);

	Thing_SpawnFacing(8, 221, 0, 104);
	Thing_SpawnFacing(3, 204, 0, 104);
	Thing_SpawnFacing(4, 204, 0, 104);
	Thing_SpawnFacing(5, 204, 0, 104);
	Thing_SpawnFacing(7, 204, 0, 104);

	while(thingCount(0, 104) > 0) 
		delay(1);

	delay(2*35);
	doStory(389, 3, 1);scriptwait(501);
	ACS_Execute(5, 0, 0, 0, 0);
}

script 5 (void)
{
	Radius_Quake (5, 3*35, 0, 64, 2);
	Thing_SpawnFacing(3, 209, 0, 105);
	Thing_SpawnFacing(4, 202, 0, 105);
	Thing_SpawnFacing(5, 209, 0, 105);
	Thing_SpawnFacing(7, 202, 0, 105);
	Thing_SpawnFacing(8, 209, 0, 105);

	//Floor
	ChangeFloor(7, "DARKF195");
	ChangeFloor(8, "DARKF195");
	ChangeFloor(9, "DARKF195");
	Floor_LowerToLowest(7, 64);
	Floor_LowerToLowest(8, 64);
	Floor_LowerToLowest(9, 64);
	tagwait(7);
	tagwait(8);
	tagwait(9);

	while(thingCount(0, 105) > 0) 
		delay(1);

	delay(2*35);

	//Floor
	Floor_LowerByValue(2, 64, 1);
	Floor_LowerByValue(4, 64, 1);
	Floor_LowerByValue(5, 64, 1);
	Floor_LowerByValue(6, 64, 1);
	Floor_LowerByValue(7, 64, 1);
	Floor_LowerByValue(8, 64, 1);
	Floor_LowerByValue(9, 64, 1);
	ChangeFloor(2, "F_CHMOL2");
	ChangeFloor(4, "F_CHMOL2");
	ChangeFloor(5, "F_CHMOL2");
	ChangeFloor(6, "F_CHMOL2");
	ChangeFloor(7, "F_CHMOL2");
	ChangeFloor(8, "F_CHMOL2");
	ChangeFloor(9, "F_CHMOL2");
	tagwait(2);
	tagwait(4);
	tagwait(5);
	tagwait(6);
	tagwait(7);
	tagwait(8);
	tagwait(9);

	ACS_Execute(6, 0, 0, 0, 0);
}

script 6 (void)
{
	int i;

	Radius_Quake (5, 3*35, 0, 64, 2);
	Thing_SpawnFacing(400, 228, 1, 200);
	if((!thingCount(0, 200)))
	{
		delay(20);
		restart;
	}
	else
	{
		Thing_SpawnFacing(3, 206, 0, 200);
		Thing_SpawnFacing(4, 223, 0, 200);
		Thing_SpawnFacing(5, 224, 0, 200);

		while(thingCount(0, 200) > 0) 
			delay(1);

		for(i = 0; i < GetStack(); i++) 
		{
			if(_Type(i) == FRIEND)
			{
				Thing_Destroy(_T(i));
				delay(1);
			}
		}

		doStory(392, 4, 1);scriptwait(501);
		ACS_Execute(7, 0, 0, 0, 0);
	}
}

script 7 (void)
{
	Teleport(9);
	while(thingCount(0, 999) > 0) 
		delay(1);
	Door_Open(11, 16);
	printbold(s:"Chamber opened..");
}

script 8 (void)
{
	int i;

	for(i = 0; i < GetStack(); i++) 
	{
		if(_Type(i) == FRIEND)
		{
			Thing_Destroy(_T(i));
			delay(1);
		}
	}

	teleport(666);
	ChangeCamera(667, 0, 0);
	fadeto(0, 0, 0, 1.0, 5.0);
	LockPlayer();
	SetMusic("");
	delay(5*35);
	fadeto(0, 0, 0, 0.0, 5.0);
	ChangeCamera(18, 0, 0);
	SetActorAngle(20, GetActorAngle(22));
	SetMusic("D_BACH");
	delay(5*35);
	doStory(478, 4, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(18, 0, 0);
	delay(18);
	teleport(10);
	ThrustThingZ(20, 32, 0, 0);
	delay(20);
	SetActorAngle(20, GetActorAngle(16));
	delay(35);
	ChangeCamera(24, 0, 0);
	delay(50);
	ChangeCamera(18, 0, 0);
	delay(35);
	doStory(482, 1, 1);scriptwait(501);
}

script 9 (void)
{
	Thing_remove(11);
	delay(3*35);

	ChangeCamera(12, 0, 0);
	doStory(396, 1, 1);scriptwait(501);

	teleport_nofog(13);
	SetActorAngle(0, GetActorAngle(13));
	ChangeCamera(14, 0, 0);
	LockPlayer();
	delay(35);

	doStory(397, 4, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(401, 1, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(402, 1, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(403, 3, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(406, 1, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(407, 5, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(412, 3, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(415, 1, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(416, 1, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(417, 3, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(420, 17, 1);scriptwait(501);

	ChangeCamera(12, 0, 0);
	doStory(437, 1, 1);scriptwait(501);

	ChangeCamera(14, 0, 0);
	doStory(438, 2, 1);scriptwait(501);

	ResetLinedef(2);
}

script 10 (void)
{
	int i = 0;

	if(var1 > 0)
		terminate;

	var1++;
	SetMusic("");
	Radius_Quake (5, 1*35, 0, 64, 17);
	Floor_LowerToLowest(12, 64);
	SetActorPosition(15, getActorX(16), getActorY(16), getActorZ(16), false);

	while(i++ < 16)
	{
		Spawn("WmullBoom", getActorX(16) + (random(-64, 64) << 16),
							getActorY(16) + (random(-64, 64) << 16),
							getActorZ(16), 0, 0);
		delay(5);
	}

	teleport_nofog(19);
	SetActorAngle(0, GetActorAngle(19));
	ChangeCamera(18, 0, 0);
	LockPlayer();

	delay(2*35);
	SetActorAngle(20, GetActorAngle(21));
	delay(2*35);
	SetActorAngle(20, GetActorAngle(22));

	doStory(440, 1, 2*35);scriptwait(501);

	for(i = 0; i < 4; i++)
	{
		ChangeCamera(23, 0, 0);
		doStory(441, 1, 1);scriptwait(501);

		ChangeCamera(18, 0, 0);
		doStory(442, 1, 1);scriptwait(501);
	}

	ChangeCamera(23, 0, 0);
	doStory(443, 1, 1);scriptwait(501);

	Radius_Quake (5, 3*35, 0, 64, 17);
	ChangeCamera(24, 0, 0);
	doStory(444, 2, 1);scriptwait(501);

	ACS_Execute(11, 0, 0, 0, 0);
}

script 11 (void)
{
	SetMusic("");
	ChangeCamera(28, 0, 0);
	teleport(25);
	LockPlayer();
	SetActorAngle(0, GetActorAngle(25));
	SetActorPosition(20, getActorX(26), getActorY(26), getActorZ(26), true);
	SetActorAngle(20, GetActorAngle(26));
	doStory(446, 2, 3*35);scriptwait(501);
	ChangeCamera(28, 0, 0);
	LockPlayer();

	delay(2*35);
	Thing_Activate(27);
	delay(1);
	Thing_Destroy(27);

	delay(2*35);
	ChangeCamera(29, 0, 0);
	doStory(448, 2, 1);scriptwait(501);

	SetMusic("D_RLPHIS");
	LockPlayer();
	ChangeCamera(31, 0, 0);
	delay(1);
	Thing_Activate(31);
	delay(8*35);
	ChangeCamera(33, 0, 0);
	doStory(450, 2, 1);scriptwait(501);

	LockPlayer();
	ChangeCamera(33, 0, 0);
	Thing_Activate(30);
	delay(1);
	Thing_Destroy(30);
	delay(3*35);

	ChangeCamera(28, 0, 0);
	doStory(452, 1, 1);scriptwait(501);
	LockPlayer();
	ChangeCamera(28, 0, 0);

	delay(1*35);

	Thing_Remove(20);
	Spawn("Egg_Boss", getActorX(35), getActorY(35), getActorZ(35), 0, GetActorAngle(35));

	ACS_Execute(13, 0, 0, 0, 0);

	delay(1*35);

	doStory(453, 2, 1);scriptwait(501);
}

script 12 (void)
{
	Thing_Remove(27);
	Thing_Remove(30);
	SetMusic("");
	teleport_nofog(25);
}

script 13 (void)
{
	while(1)
	{
		if(EggDead == true)
		{
			ACS_Execute(14, 0, 0, 0, 0);
			EggDead = false;
			delay(10*35);
			Radius_Quake (5, 5*35, 0, 64, -123);
			delay(3*35);
			Spawn("TeleportFog", GetActorX(-123), GetActorY(-123), GetActorZ(-123), 0, 64<<8);
			Spawn("XTron_Boss", GetActorX(-123), GetActorY(-123), GetActorZ(-123), 0, GetActorAngle(-123)>>8);
			delay(4*35);
			SetMusic("I_FBOSS");
			Thing_Activate(-37);
			delay(2*35);
			doStory(455, 4, 1);scriptwait(501);
		}

		if(XTronDeath == true)
		{
			delay(3*35);
			fadeto (0, 0, 0, 1.0, 16.2);
			delay(16*35);
			ACS_Execute(250, 0, 35, 0, 0);
			break;
		}

		delay(5);
	}
}

script 14 (void)
{
	int i = 0;
	teleport_nofog(-36);
	LockPlayer();
	ChangeCamera(-37, 0, 0);

	for(i = 0; i < GetStack(); i++) 
	{
		if(_Type(i) == FRIEND)
		{
			Thing_Destroy(_T(i));
			delay(1);
		}
	}
}

//give weapons back
script LVLLOAD (void) 
{
	int i;
	if(weaponNum == 0) 
	{
		weaponNum = 1023;
		GiveInventory("Cell", 280);
		GiveInventory("ClipBox", 250);
		GiveInventory("RocketAmmo", 130);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 5000);
	}

	while(i != 10) 
	{
		if(findWeapon(weaponNum, Iweapons[i])) 
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script LVLMAIN OPEN 
{
	int i;
	updateObjectives(381, "", true);
	Floor_LowerToNearest(1, 16);
	ACS_Execute(253, 0, 0, 0, 0);
	A_EggResetVars();
	ACS_Terminate(907, 0);
	tagwait(1);
	setlineblocking(1, BLOCK_NOTHING);
}
