//**************************************************************************
//**
//** kaiser_21-map34.acs : poedDoom
//**$Revise Date: 03/09/06
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************
#library "sc_m34"
#include "cif3_main.c"

bool again = false;

script 1 (void)
{
	int i;
	Radius_Quake (5, 24*35, 0, 64, 1);

	for(i = -3; i > -255; i--)
	{
		Thing_SpawnFacing(i, 226, 0, 20);
		delay(1);
	}

	for(i = 1; i < 377; i++)
		Floor_RaiseByValue(i, 128, 24*i);

	delay(1*35);
	Thing_SpawnFacing(2, 225);

	tagwait(204);
	SetLineBlocking(1, BLOCK_NOTHING);

	while(thingcount(0, 4) > 0)
		delay(1);

	Radius_Quake (5, 8*35, 0, 64, 5);

	for(i = 1; i < 377; i++)
	{
		Floor_LowerByValue(i, 128, 24*i);
		ChangeFloor(i, "FWATER1");
	}
	tagwait(376);
	Thing_SpawnFacing(2, 225, 0, 21);
	delay(2*35);
	Thing_SpawnFacing(2, 225, 0, 21);
	delay(2*35);
	Thing_SpawnFacing(2, 225, 0, 21);

	while(thingcount(0, 21) > 0)
		delay(1);

	printbold(s:"<You> What the hell..");
	delay(5*35);
	ACS_Execute(250, 0, 20, 0, 0);

}

script 2 (void)
{
	if(again == false)
	{
		UnLockPlayer();
		again = true;
	}
}

script 3 (void)
{
	LocalAmbientSound("weapons/takejet", 127);
	TakeInventory("JetPack", 1);
	SetActorProperty(0, APROP_Speed, FRACUNITS);
}

script 4 (void)
{
	Thing_Remove(20);
}

//give weapons back
script 253 (void)
{
	int i;
	if(weaponNum == 0)
	{
		weaponNum = 255;
		GiveInventory("Cell", 240);
		GiveInventory("ClipBox", 120);
		GiveInventory("RocketAmmo", 100);
		GiveInventory("Shell", 100);
		GiveInventory("CleaverSpecial", 1);
		GiveInventory("PanSpecial", 1);
		GiveInventory("ShockSpecial", 1);
		GiveInventory("FlameSpecial", 1);
		GiveInventory("JetPack", 1);
		GiveInventory("Coin", 500);
	}
	while(i != 10)
	{
		if(findWeapon(weaponNum, Iweapons[i]))
		{
			GiveInventory(Xweapons[i], 1);
		}
		i++;
		delay(1);
	}
	
}

script 255 OPEN
{
	LockPlayer();
	ACS_Execute(253, 0, 0, 0, 0);
	Floor_LowerInstant(377, 0, 4087);
}