//**************************************************************************
//**
//** cif3_main.acs : poedDoom
//**$Revise Date: 11/21/06
//**$Author: kaiser
//**$Description: Script/library initialization
//**
//**************************************************************************

/*****************************************************
******************ACS Files***************************
******************************************************/

#include "zcommon.acs"

/*****************************************************
******************Game Libraries**********************
******************************************************/

#import "globals.c"
#import "gamfuncs.c"
#import "tables.c"
#import "indexes.c"
#import "boundaries.c"
#import "strDialog.c"
#import "users.c"
#import "macros.c"
#import "ai.c"
#import "weapons.c"
#import "items.c"
#import "game.c"
#import "st_stuff.c"

#include "story.c"

/*****************************************************
******************Misc Includes***********************
******************************************************/

#include "strings.c"

script K21MAIN ENTER {
	if(GetLevelInfo(LEVELINFO_LEVELNUM) == 0) {
		DialogInit();
	}
	if(!WorldStrName[0])
	{
		WorldStrName[0] = 'P';
		WorldStrName[1] = 'l';
		WorldStrName[2] = 'a';
		WorldStrName[3] = 'y';
		WorldStrName[4] = 'e';
		WorldStrName[5] = 'r';
		WorldStrName[6] = 0;
		WorldStrName[7] = 0;
		WorldStrName[8] = 0;
		WorldStrName[9] = 0;
		WorldStrName[10] = 0;
		WorldStrName[11] = 0;
		WorldStrName[12] = 0;
		WorldStrName[13] = 0;
		WorldStrName[14] = 0;
		WorldStrName[15] = 0;
	}
	SetupTables();
	resetInvVars();
	RefreshPlayerInfo();
	LoadBoundaries(GetLevelInfo(LEVELINFO_LEVELNUM));
	while(1) {
		PlayerTicker();
		ItemTicker();
		HudTicker();
		WeaponTicker();
		//CheatTicker();
		delay(1);
	}
}
