//**************************************************************************
//**
//** wtransfer.acs : poedDoom
//**$Revise Date: 11/21/06
//**$Author: kaiser
//**$Description: Random stuff that doesn't fit anywhere else
//**
//**************************************************************************

/*8-28-05: Basic weapon transfer functions added*/
/*10-5-05: Added jetpack/inventory system*/
/*11-19-06: Moved game functions to gamfuncs library*/
/*11-20-06: Moved weapon functions to weapons library*/
/*11-21-06: Ported to library/cleaned up. Moved inventory stuff to items library*/

#library "miscs"
#include "zcommon.acs"
#import "globals.c"
#import "tables.c"
#import "items.c"
#import "weapons.c"
#import "st_stuff.c"
#include "strings.c"

int fadeTid = 1000;
//animated door stuff
int doorTic = 0;
//cheat code?
bool cheat2On = false;	//fart sounds
int combination1 = 0;
int combinationOrder[5] = {3, 6, 4, 7, 11};
int combination2 = 0;
int combinationOrder2[5] = {4, 8, 5, 4, 11};
#define INVCHEAT 0
#define CARMACKCHEAT 1
#define FARTCHEAT 2
int cheatType;

#define INV_MAIN2 0
#define INV_AMOUNT2 1
#define INV_TARGET2 2
#define INV_STORE2 3
#define INV_ITEMSTORE2 4

function void SC_Terminate (void) {
	ACS_Terminate(951, 0);
	ACS_Terminate(998, 0);
	ACS_Terminate(938, 0);
	ACS_Terminate(799, 0);
}

script 250(int map, int keepInv) {
	int storeWeapon = 0;
	int i = 0;
	ACS_Execute(300, map, CheckInventory("Coin"), 0, 0);
	if(keepInv == 0) {
		for(i = 301; i < 316; i++) {
			ACS_Execute(i, map, invokeInventory(INV_AMOUNT2, (i % 100 - 1)),
				invokeInventory(INV_MAIN2, (i % 100 - 1)), 0);
		}
	}
		for(i = 0; i < 10; i++) {
			if(checkInventory(Xweapons[i])) {
				storeWeapon += Iweapons[i];
			}
		}
		ACS_Execute(252, map, storeWeapon, 0, 0);
		ArchiveTimer(map);
		delay(1);
		SC_Terminate();
		delay(1);
		Exit_Normal(0);
}

script 200(int map)
{
	int storeWeapon = 0;
	int i = 0;
	ACS_Execute(300, map, CheckInventory("Coin"), 0, 0);
	for(i = 301; i < 316; i++) {
		ACS_Execute(i, map, invokeInventory(INV_AMOUNT2, (i % 100 - 1)),
			invokeInventory(INV_MAIN2, (i % 100 - 1)), 0);
	}
		for(i = 0; i < 10; i++) {
			if(checkInventory(Xweapons[i])) {
				storeWeapon += Iweapons[i];
			}
		}
		ACS_Execute(252, map, storeWeapon, 0, 0);
		ArchiveTimer(map);
		delay(1);
		Exit_Secret(0);
}

script 251 (int key, int tag, int speed)
{
	if(CheckInventory(specialKeys[key])) {
		Door_Raise(tag, speed, 100);
	} else { printbold(s:"You need the ", s:specialKeys[key],s:"!"); }
}

script 254 (int arg3) {
	printbold(s: blockStrings[arg3]);
}

script 300 (int amount) {
	GiveInventory("Coin", amount - 1);
}

script 301 (int a, int b) {
	popInventory(INV_STORE2, 0, a);
	popInventory(INV_ITEMSTORE2, 0, b);
}

script 302 (int a, int b) {
	popInventory(INV_STORE2, 1, a);
	popInventory(INV_ITEMSTORE2, 1, b);
}

script 303 (int a, int b) {
	popInventory(INV_STORE2, 2, a);
	popInventory(INV_ITEMSTORE2, 2, b);
}

script 304 (int a, int b) {
	popInventory(INV_STORE2, 3, a);
	popInventory(INV_ITEMSTORE2, 3, b);
}

script 305 (int a, int b) {
	popInventory(INV_STORE2, 4, a);
	popInventory(INV_ITEMSTORE2, 4, b);
}

script 306 (int a, int b) {
	popInventory(INV_STORE2, 5, a);
	popInventory(INV_ITEMSTORE2, 5, b);
}

script 307 (int a, int b) {
	popInventory(INV_STORE2, 6, a);
	popInventory(INV_ITEMSTORE2, 6, b);
}

script 308 (int a, int b) {
	popInventory(INV_STORE2, 7, a);
	popInventory(INV_ITEMSTORE2, 7, b);
}

script 309 (int a, int b) {
	popInventory(INV_STORE2, 8, a);
	popInventory(INV_ITEMSTORE2, 8, b);
}

script 310 (int a, int b) {
	popInventory(INV_STORE2, 9, a);
	popInventory(INV_ITEMSTORE2, 9, b);
}

script 311 (int a, int b) {
	popInventory(INV_STORE2, 10, a);
	popInventory(INV_ITEMSTORE2, 10, b);
}

script 312 (int a, int b) {
	popInventory(INV_STORE2, 11, a);
	popInventory(INV_ITEMSTORE2, 11, b);
}

script 313 (int a, int b) {
	popInventory(INV_STORE2, 12, a);
	popInventory(INV_ITEMSTORE2, 12, b);
}

script 314 (int a, int b) {
	popInventory(INV_STORE2, 13, a);
	popInventory(INV_ITEMSTORE2, 13, b);
}

script 315 (int a, int b) {
	popInventory(INV_STORE2, 14, a);
	popInventory(INV_ITEMSTORE2, 14, b);
	unarchiveItems();
}

script 400(int arg0) {
	int i = 0.9;
	int j = 0;
	SetActorProperty(arg0,APROP_RenderStyle,64);
	for(j = 1; j < 10; j++) {
		SetActorProperty(arg0,APROP_Alpha, i);
		i -= 0.1;
		delay(10);
	}
	Thing_Remove(arg0);
}

script 198(int arg0, int type, int tid) {
	int i = 0.1;
	int j = 0;
	Thing_SpawnFacing(arg0, type, 1, tid);
	ThingSound(arg0, "doom64/spawn", 127);
	SetActorProperty(tid,APROP_RenderStyle,64);
	for(j = 1; j < 10; j++) {
		SetActorProperty(tid,APROP_Alpha, i);
		i += 0.1;
		delay(2);
	} SetActorProperty(tid,APROP_Alpha, 1.0);
	delay(2*35);
}

script 199(int arg0, int type) {
	ACS_ExecuteAlways(198, 0, arg0, type, fadeTid);
	fadeTid++;
}

script 197(int arg0, int type, int type2) {
	ACS_ExecuteAlways(199, 0, arg0, type, 0);
	ACS_ExecuteAlways(199, 0, arg0 + 1, type2, 0);
}

function void CheatTicker(void) {
	bool foundCheat = false;
	//cheat handler
	if(getCvar("screenblocks") == 3 && foundCheat == false) {
		cheatType = INVCHEAT;
		foundCheat = true;
	}
	else if(getCvar("screenblocks") == 4 && foundCheat == false) {
		cheatType = CARMACKCHEAT;
		foundCheat = true;
	}
		switch(cheatType) {
			//cheat handler 1
			case INVCHEAT:
				if(getCvar("screenblocks") == combinationOrder[combination1]) {
					combination1++;
					if(combination1 >= 5) {
						if(cheatOn == false) {
							cheatOn = true;
							foundCheat = false;
							printbold(s:"Cheat Enabled");
						} else { cheatOn = false; printbold(s:"Cheat Disabled"); foundCheat = false; }
						combination1 = 0;
					}
				}
				else if(getCvar("screenblocks") != combinationOrder[combination1 - 1]) { combination1 = 0; foundCheat = false; }
			break;
			case CARMACKCHEAT:
				//cheat handler 2
				if(getCvar("screenblocks") == combinationOrder2[combination2]) {
					combination2++;
					if(combination2 >= 5) {
						printbold(s:"Adrian Carmack mode enabled");
						GiveInventory("Coin", 1000000);
						GiveInventory("I_Grenade", 1);
						GiveInventory("MBeacon", 1);
						GiveInventory("PanSpecial", 1);
						combination2 = 0;
						foundCheat = false;
					}
				}
				else if(getCvar("screenblocks") != combinationOrder2[combination2 - 1]) { combination2 = 0; foundCheat = false; }
			break;
		}
}

script 128 (int arg1) {
	int i;
	doorTic = 0;
	if((GetSectorCeilingZ(arg1, 0, 0) - GetSectorFloorZ(arg1, 0, 0)) == 0) {
		thingsound(arg1, "airlock", 127);
		Ceiling_RaiseInstant(arg1, 0, 9);
		for(i = 0; i < 7; i++) {
			setlinetexture(arg1, SIDE_FRONT, TEXTURE_MIDDLE, doorCross[i]);
			setlinetexture(arg1, SIDE_BACK, TEXTURE_MIDDLE, doorCross[i]);
			if(i == 6) {
				setlineblocking(arg1, BLOCK_NOTHING);
			}
			delay(3);
		}
		while(doorTic != 3) {
			doorTic++;
			delay(35);
		}
		//delay(3*35);
		thingsound(arg1, "airlock", 127);
		for(i = 6; i > 0; i--) {
			setlinetexture(arg1, SIDE_FRONT, TEXTURE_MIDDLE, doorCross[i]);
			setlinetexture(arg1, SIDE_BACK, TEXTURE_MIDDLE, doorCross[i]);
			if(i == 6) {
				setlineblocking(arg1, BLOCK_EVERYTHING);
			}
			delay(3);
		}
		Ceiling_LowerInstant(arg1, 0, 9);
		setlinetexture(arg1, SIDE_FRONT, TEXTURE_MIDDLE, "-");
		setlinetexture(arg1, SIDE_BACK, TEXTURE_MIDDLE, "-");
		doorTic = 0;
	}
}

script 129 (void) {
	while(1) {
		doorTic = 0;
		delay(1);
	}
}


//test font pics.. cause zdoom is a bitch
script 901 (int xOry, int width, int height)
{
	str pic = "I_COUP";	//last known pic tested
	int x = 0.0;
	int y = 0.0;
	int xp = 0;
	int yp = 0;
	if(xOry == 1)
	{
	while(x != width)
	{
		testScreenFont(width, height, pic, x, y);
		x += 1.0;
		xp += 1;
		printbold(s:"x = ", i:xp, s:"y = ", i:yp);
		delay(4);
	}
	}
	else {
	while(y != height)
	{
		testScreenFont(width, height, pic, x, y);
		y += 1.0;
		yp += 1;
		printbold(s:"x = ", i:xp, s:"y = ", i:yp);
		delay(4);
	}
	}
}

function void testScreenFont(int width, int height, str pic, int x, int y)
{
	SetHudSize(width, height, 0);
	SetFont(pic);
	hudmessage(s:"a"; HUDMSG_PLAIN, 65537, CR_UNTRANSLATED, x, y, 1.0);
}

/**********************************************************************************
250:	Save player/data information and transfer them for next map
200:	Save player/data information and transfer them for next secret map
251:	Check item and print string for locked door
252:	Assign var to weaponNum (for weapon transfers)
254:	Print a 'locked' string
300:	Restore coin items from previous map
301:	Restore inventory items (302 - 315: restore other items and timer)
400:	Fade enemy
198:	Doom64 Fade spawn
199:	Doom64 Fade spawn / keep tids
197:	Repeatable Doom64 Fade Spawn
998:	Main function loop (inappropriately placed in the miscs library)
999:	Refresher. Restore items, remove tokens and restore speed
128:	Strife sliding door
129:	Door tic for 128
901:	Test hud fonts to calibrate the xy coords
***********************************************************************************/
