//**************************************************************************
//**
//** globals.acs : poedDoom
//**$Revise Date: 11/21/06
//**$Author: kaiser
//**$Description: Global and World variables that libraries rely on
//**
//**************************************************************************

#library "globals"

/*****************************************************
******************Table Globals***********************
******************************************************/

global str	0:	meterList[];
global int	1:	healthTable[];
global int	2:	fixedTable[];
global str	3:	sFontTable[];
global int	4:	tempStr[];

/*****************************************************
******************AI Globals**************************
******************************************************/

global bool 5:	checkForBleeding;
global bool 6:	bitByPdemon;
global bool 7:	bitByIncubus;
global bool 8:	hitByGnewt;

/*****************************************************
******************Player Globals**********************
******************************************************/

global int	9:	plyrX;
global int	10:	plyrY;
global int	11:	plyrZ;
global int	12:	plyrAngle;
global int	13:	plyrFloorZ;
global int	31:	plyrPitch;
global int	32: plyrCeilingZ;

/*****************************************************
******************Weapon Globals**********************
******************************************************/

global int	14:	weaponNum;

/*****************************************************
******************Inventory Globals*******************
******************************************************/

global int	15: throttleCycle;
global bool 16: hasJetpack;
global int	17: invOn;
global int	18: invPage;
global int	19: reflectTics;
global int	20: regenTics;
global int	21: poisTics;
global int	22: leakTics;
global int	23: currentItem;
global int	24: idx;
global int	25: invCursor;
global bool 26: invActive;

/*****************************************************
******************Friend AI Globals*******************
******************************************************/

global bool 27: friendSpecial;
global bool 28: givingFuel;

/*****************************************************
******************Misc Globals************************
******************************************************/

global bool 29: cheatOn;
global int	30:	invRefreshTicker;
global int	31: canUseInv;

/*****************************************************
******************Story Globals***********************
******************************************************/

world int 0: WorldStrData[];
world int 1: WorldStrSize[];
world int 2: WorldStrPos[];
world int 3: WorldStrName[];