int shockNum = 0;

script 950 (void) {
	if(shockNum >= 21) {
		shockNum = 0;
	}
	switch(shockNum) {
		case 6:
			GiveInventory("ShockBuildUp2", 1);
			break;
		case 14:
			GiveInventory("ShockBuildUp3", 1);
			break;
		case 20:
			GiveInventory("ShockBuildUp4", 1);
			break;
	}
	if(shockNum != 20) {
		shockNum++;
	}
}

function void checkShockCharge(void) {
	if(checkInventory("Cell") == 0) {
		ACS_Execute(952, 0, 0, 0, 0);
	}
	if(/*checkInventory("ShockSpecial") && */shockNum != 0) {
		drawChargeGauge(shockNum);
	}
}

script 952 (void) {
	shockNum = 0;
	TakeInventory("ShockBuildUp4", 1);
	TakeInventory("ShockBuildUp3", 1);
	TakeInventory("ShockBuildUp2", 1);
	TakeInventory("ShockBuildUp1", 1);
}

function void drawChargeGauge(int meter) {
	int x = 80.0;
	int j = 1.0;
	SetHudSize(320, 240, 0);
	SetFont("ST_SHOCK");
	hudmessage(s:meterList[meter]; HUDMSG_PLAIN, 45872, CR_UNTRANSLATED, x + (j * meter), 220.0, 0.1);
}