//**************************************************************************
//**
//** ~Titlemap.acs : poedDoom
//**$Revise Date: 4/29/07
//**$Author: kaiser
//**$Description: level script
//**
//**************************************************************************

#include "zcommon.acs"

script 1 OPEN {
	SetPlayerProperty(0, 1, 0);
	Thing_Activate(1);
	ChangeCamera(1, 0, 0);
	delay (4*35);
	ACS_Execute(2, 0, 0, 0, 0);
	delay (6*35);
	ACS_Execute(2, 0, 1, 0, 0);
	delay (14*35);
	ACS_Execute(2, 0, 2, 0, 0);
	delay (9*35);
	SetMusic("I_CIF3");
}

script 2 (int i) {
	static str scrSplsh[3] = { "SCR_0003", "SCR_0004", "SCR_0005" };
	setlinetexture(1, SIDE_FRONT, TEXTURE_MIDDLE, scrSplsh[i]);
	ChangeCamera(12, 0, 0);
	delay (2*35);
	ChangeCamera(1, 0, 0);
}

script 3 OPEN {
	static str impulse_Intro[6] = { 
		"I_INTRO0",
		"I_INTRO1", 
		"I_INTRO2", 
		"I_INTRO3", 
		"I_INTRO4", 
		"I_INTRO5" 
	};

	for(int i = 0; i < 6; i++) {
		SetMusic(impulse_Intro[i]);
		delay (5*35);
	}
}
